Bug 1394912 - tpm_crb MSFT0101:00: can't request region for resource [NEEDINFO]
Summary: tpm_crb MSFT0101:00: can't request region for resource
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-14 17:43 UTC by Axel Matías
Modified: 2020-03-25 22:31 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-25 22:31:18 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)
dmidecode output from affected Asus Zenbook UX305CA (11.45 KB, text/plain)
2017-05-14 16:57 UTC, Stan King
no flags Details
contents of /proc/iomem from an Asus UX305CA (3.17 KB, text/plain)
2017-05-14 16:58 UTC, Stan King
no flags Details
acer-p459-g2-m-iomem (3.78 KB, text/plain)
2017-07-12 22:21 UTC, Jörn Heissler
no flags Details
acer-p459-g2-m-dmidecode (12.62 KB, text/plain)
2017-07-12 22:24 UTC, Jörn Heissler
no flags Details
dmidecode output (19.58 KB, text/plain)
2019-09-03 20:08 UTC, Thomas Moschny
no flags Details
iomem (3.30 KB, text/plain)
2019-09-03 20:11 UTC, Thomas Moschny
no flags Details

Description Axel Matías 2016-11-14 17:43:10 UTC
Description of problem:
Everutime system boots I get the following message:
tpm_crb MSFT0101:00: can't request region for resource [mem 0x7efff000-0x7efff02f]


Version-Release number of selected component (if applicable): I happened to me with all F24 kernels and now with F25 too


How reproducible: 100%


Steps to Reproduce:
1. Turn the computer on
2. See the error message

Actual results:
There is a tpm_crb error

Expected results:
There should not be

Additional info:
My computer is an Asus Zenbook UX303lb (Intel core i5 broadwell with nvidia GT 940M card)

Comment 1 Didier G 2016-11-26 06:38:02 UTC
Same problem:

tpm_crb MSFT0101:00: can't request region for resource [mem 0xfed40080-0xfed40fff]
tpm_crb: probe of MSFT0101:00 failed with error -16


My computer is an Asus Zenbook UX305 (Intel(R) Core(TM) i7-6500U CPU @ 2.50GHz)

Kernel is 4.8.10-300.fc25.x86_64

Comment 2 ekpyroticfrood 2016-12-21 15:30:53 UTC
I get the exact same message as the first comment above, although slightly different from the OP:

tpm_crb MSFT0101:00: can't request region for resource [mem 0xfed40080-0xfed40fff]

Fedora 25 with Kernel 4.8.14-300.fc25.x86_64

ASUS Q324UA i7-7500U CPU

Comment 3 Laura Abbott 2017-01-17 01:14:41 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 4 Axel Matías 2017-01-17 18:12:56 UTC
Yes, still present as of kernel 4.9.3 on Fedora 25

Comment 5 Dmitry Minsky 2017-01-18 09:23:26 UTC
Looks like there is a path for this issue. But it isn't merged in the upstream kernel.

http://git.infradead.org/users/jjs/linux-tpmdd.git/commit/0af6e0a2da2e4fedaa2743333da438d3b879192b

Comment 6 Stan King 2017-03-05 01:20:11 UTC
Same behavior here as with Didier G in comment 1.  My model number is more-or-less the same (UX305CA) but my processor is slightly different (Core m3-6Y30 "Skylake").

Output of "dmesg | grep -i tpm":

[    0.000000] ACPI: TPM2 0x0000000086D72EE8 000034 (v03        Tpm2Tabl 00000001 AMI  00000000)
[    4.404200] tpm_crb MSFT0101:00: can't request region for resource [mem 0xfed40080-0xfed40fff]
[    4.405871] tpm_crb: probe of MSFT0101:00 failed with error -16

Comment 7 mryodatak 2017-03-15 22:08:07 UTC
Same with ASUS G752VL-GC057T Intel Core i7-6700HQ
And 4.9.3 
And now i cant boot into ...

Comment 8 David 2017-04-10 09:35:42 UTC
I've got the same error on a desktop PC.

I'm not using secure boot, but enabled the TPM as I was hoping to benefit from it's random number generator.


* Gigabyte motherboard, a H170M-D3H (H170 chipset)
** Which has the 'TPM2.0 UEFI Spec Version' set to 'TCG_2' and the 'Physical Presence Spec Version' set to '1.2'
* Intel Core i5-6500 processor.

Comment 9 David 2017-04-10 09:36:38 UTC
PS: Running Fedora 25, currently kernel 4.10.8-200

Comment 10 Justin M. Forbes 2017-04-11 14:40:37 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 11 Tomas Winkler 2017-04-12 15:55:34 UTC
The issue here is usually with the BIOS providing wrong memory map for the tmp devices. Can you please provide BIOS version for exampling using dmidecode dump and 'sudo cat /proc/iomem' dump.
Thanks

Comment 12 David 2017-04-14 04:48:38 UTC
@Thomas Wrinkler, hopefully this is what you're after.

Please note that this particular BIOS has other options for 'Physical Presence Spec Version' (1.3) and 'TPM.2.0 UEFI Spec Version' (TCG_1_2).  I'll try TCG_1_@2 soon.

I'm always running the current stable Fedora version kernel

#Start of demidecode
Getting SMBIOS data from sysfs.
SMBIOS 3.0.0 present.
Table at 0xBADCA000.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
        Vendor: American Megatrends Inc.
        Version: F21
        Release Date: 12/09/2016
        Address: 0xF0000
        Runtime Size: 64 kB
        ROM Size: 16384 kB
        Characteristics:
                PCI is supported
                BIOS is upgradeable
                BIOS shadowing is allowed
                Boot from CD is supported
                Selectable boot is supported
                BIOS ROM is socketed
                EDD is supported
                5.25"/1.2 MB floppy services are supported (int 13h)
                3.5"/720 kB floppy services are supported (int 13h)
                3.5"/2.88 MB floppy services are supported (int 13h)
                Print screen service is supported (int 5h)
                Serial services are supported (int 14h)
                Printer services are supported (int 17h)
                ACPI is supported
                USB legacy is supported
                BIOS boot specification is supported
                Targeted content distribution is supported
                UEFI is supported
        BIOS Revision: 5.12

Handle 0x0001, DMI type 1, 27 bytes
System Information
        Manufacturer: Gigabyte Technology Co., Ltd.
        Product Name: H170M-D3H
        Version: Default string
        Serial Number: Default string
        UUID: 031B021C-040D-051B-4006-B50700080009
        Wake-up Type: Power Switch
        SKU Number: Default string
        Family: Default string

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
        Manufacturer: Gigabyte Technology Co., Ltd.
        Product Name: H170M-D3H-CF
        Version: x.x
        Serial Number: Default string
        Asset Tag: Default string
        Features:
                Board is a hosting board
                Board is replaceable
        Location In Chassis: Default string
        Chassis Handle: 0x0003
        Type: Motherboard
        Contained Object Handles: 0
# snip
#
# /proc/iomem
00000000-00000fff : reserved
00001000-00057fff : System RAM
00058000-00058fff : reserved
00059000-0009efff : System RAM
0009f000-000fffff : reserved
  000a0000-000bffff : PCI Bus 0000:00
  000c0000-000cffff : Video ROM
  000f0000-000fffff : System ROM
00100000-af9f2017 : System RAM
af9f2018-afa02e57 : System RAM
afa02e58-afa03017 : System RAM
afa03018-afa13057 : System RAM
afa13058-b1453fff : System RAM
b1454000-b1454fff : ACPI Non-volatile Storage
b1455000-b1455fff : reserved
b1456000-b9884fff : System RAM
b9885000-b9c4efff : reserved
b9c4f000-ba0ebfff : System RAM
ba0ec000-ba7adfff : ACPI Non-volatile Storage
ba7ae000-baefdfff : reserved
baefe000-baefefff : System RAM
baeff000-bfffffff : reserved
  bc000000-bfffffff : Graphics Stolen Memory
c0000000-efffffff : PCI Bus 0000:00
  d0000000-dfffffff : 0000:00:02.0
  ee000000-eeffffff : 0000:00:02.0
  ef000000-ef1fffff : PCI Bus 0000:01
    ef000000-ef1fffff : 0000:01:00.0
      ef000000-ef1fffff : cx23885[0]
  ef200000-ef21ffff : 0000:00:1f.6
    ef200000-ef21ffff : e1000e
  ef220000-ef22ffff : 0000:00:14.0
    ef220000-ef22ffff : xhci-hcd
  ef230000-ef233fff : 0000:00:1f.2
  ef234000-ef235fff : 0000:00:17.0
    ef234000-ef235fff : ahci
  ef236000-ef2360ff : 0000:00:1f.4
  ef237000-ef2377ff : 0000:00:17.0
    ef237000-ef2377ff : ahci
  ef238000-ef2380ff : 0000:00:17.0
    ef238000-ef2380ff : ahci
  ef239000-ef239fff : 0000:00:16.0
    ef239000-ef239fff : mei_me
  effe0000-efffffff : pnp 00:08
f0000000-f7ffffff : PCI MMCONFIG 0000 [bus 00-7f]
  f0000000-f7ffffff : reserved
    f0000000-f7ffffff : pnp 00:08
fd000000-fe7fffff : PCI Bus 0000:00
  fd000000-fdabffff : pnp 00:09
  fdac0000-fdacffff : pnp 00:0b
  fdad0000-fdadffff : pnp 00:09
  fdae0000-fdaeffff : pnp 00:0b
  fdaf0000-fdafffff : pnp 00:0b
  fdb00000-fdffffff : pnp 00:09
    fdc6000c-fdc6000f : iTCO_wdt
      fdc6000c-fdc6000f : iTCO_wdt
  fe000000-fe010fff : reserved
  fe036000-fe03bfff : pnp 00:09
  fe03d000-fe3fffff : pnp 00:09
  fe410000-fe7fffff : pnp 00:09
fec00000-fec00fff : reserved
  fec00000-fec003ff : IOAPIC 0
fed00000-fed003ff : HPET 0
  fed00000-fed003ff : PNP0103:00
fed10000-fed17fff : pnp 00:08
fed18000-fed18fff : pnp 00:08
fed19000-fed19fff : pnp 00:08
fed20000-fed3ffff : pnp 00:08
fed45000-fed8ffff : pnp 00:08
fed90000-fed90fff : dmar0
fed91000-fed91fff : dmar1
fee00000-fee00fff : Local APIC
  fee00000-fee00fff : reserved
ff000000-ffffffff : reserved
  ff000000-ffffffff : INT0800:00
    ff000000-ffffffff : pnp 00:08
100000000-43effffff : System RAM
  19d000000-19d854525 : Kernel code
  19d854526-19df95aff : Kernel data
  19e1b6000-19e37bfff : Kernel bss
43f000000-43fffffff : RAM buffer
# END

Comment 13 David 2017-04-14 04:51:05 UTC
With 'TPM.2.0 UEFI Spec Version' set to  TCG_1_2 I still get this:

Apr 14 14:49:06 hostname kernel: tpm_crb MSFT0101:00: can't request region for resource [mem 0x00000000-0xffffffffffffffff]
Apr 14 14:49:06 hostname kernel: tpm_crb: probe of MSFT0101:00 failed with error -16

Comment 14 David 2017-04-15 04:04:20 UTC
Just updated to kernel 4.10.9-200-fc25 - no change, the message still displays.

Comment 15 Tomas Winkler 2017-04-15 14:05:43 UTC
Should be fixed by the next version of the BIOS

Comment 16 David 2017-04-16 04:15:09 UTC
Thanks Tomas.

I'm sorry to have wasted your time - I hadn't realised there was a newer version for my motherboard!.  (I do check regularly, but obviously before the 16th March)

"
BIOS Information
	Vendor: American Megatrends Inc.
	Version: F22
	Release Date: 03/07/2017
"

My system no longer reports this message.

Comment 17 Tomas Winkler 2017-04-17 07:10:08 UTC
It was really fixed only recently after it was reported on multiple channels.

Comment 18 Axel Matías 2017-04-26 16:26:57 UTC
I don't really think my BIOS gets updated any further and the error is still there as of kernel 4.10.11 on Fedora 25

Comment 19 ZWolfe 2017-04-26 17:11:42 UTC
I am receiving the same exact error message on bootup. I am on an Asus Q504UA laptop. After reading the comments, I checked for a BIOS update. Version 202 is the current. I am running Kernel 4.10.11-200.fc25.x86_64. The exact error message is below. 

4/26/17 1:02 PM	tpm_crb MSFT0101	0: can't request region for resource [mem 0xfed40080-0xfed40fff]
4/26/17 1:02 PM	tpm_crb	probe of MSFT0101:00 failed with error -16

Comment 20 Yunying Sun 2017-05-03 01:25:25 UTC
(In reply to ZWolfe from comment #19)
> I am receiving the same exact error message on bootup. I am on an Asus
> Q504UA laptop. After reading the comments, I checked for a BIOS update.
> Version 202 is the current. I am running Kernel 4.10.11-200.fc25.x86_64. The
> exact error message is below. 
> 
> 4/26/17 1:02 PM	tpm_crb MSFT0101	0: can't request region for resource [mem
> 0xfed40080-0xfed40fff]
> 4/26/17 1:02 PM	tpm_crb	probe of MSFT0101:00 failed with error -16

Hi ZWolfe, what is the CPU model name on your laptop("cat /proc/cpuinfo | grep model")?

Comment 21 Tomas Winkler 2017-05-03 06:28:18 UTC
I prefer we have dmidecode dump and /proc/iomem dump.
Thanks

Comment 22 Tomas Winkler 2017-05-03 06:34:45 UTC
(In reply to Axel Matías from comment #18)
> I don't really think my BIOS gets updated any further and the error is still
> there as of kernel 4.10.11 on Fedora 25

Axel,
your system is a different, it  is a Broadwell platform and the BIOS fix that was issued for SKL based NUCs is not relevant here, 
Can you please also provide dmidecode and /proc/iomem dumps.

Comment 23 Axel Matías 2017-05-04 08:02:43 UTC
# dmidecode 3.0
Getting SMBIOS data from sysfs.
SMBIOS 2.8 present.
27 structures occupying 2167 bytes.
Table at 0x9C7C6000.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: American Megatrends Inc.
	Version: UX303LB.206
	Release Date: 08/24/2015
	Address: 0xF0000
	Runtime Size: 64 kB
	ROM Size: 6464 kB
	Characteristics:
		PCI is supported
		BIOS is upgradeable
		BIOS shadowing is allowed
		Boot from CD is supported
		Selectable boot is supported
		BIOS ROM is socketed
		EDD is supported
		5.25"/1.2 MB floppy services are supported (int 13h)
		3.5"/720 kB floppy services are supported (int 13h)
		3.5"/2.88 MB floppy services are supported (int 13h)
		Print screen service is supported (int 5h)
		8042 keyboard services are supported (int 9h)
		Serial services are supported (int 14h)
		Printer services are supported (int 17h)
		ACPI is supported
		USB legacy is supported
		Smart battery is supported
		BIOS boot specification is supported
		Targeted content distribution is supported
		UEFI is supported
	BIOS Revision: 5.6

Handle 0x0001, DMI type 1, 27 bytes
System Information
	Manufacturer: ASUSTeK COMPUTER INC.
	Product Name: UX303LB
	Version: 1.0       
	Serial Number: F4N0CJ126451186     
	UUID: 78434899-B913-A147-9D09-7E505A654096
	Wake-up Type: Power Switch
	SKU Number: ASUS-NotebookSKU
	Family: UX

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
	Manufacturer: ASUSTeK COMPUTER INC.
	Product Name: UX303LB
	Version: 1.0       
	Serial Number: BSN12345678901234567
	Asset Tag: ATN12345678901234567
	Features:
		Board is a hosting board
		Board is replaceable
	Location In Chassis: MIDDLE              
	Chassis Handle: 0x0003
	Type: Motherboard
	Contained Object Handles: 0

Handle 0x0003, DMI type 3, 25 bytes
Chassis Information
	Manufacturer: ASUSTeK COMPUTER INC.
	Type: Notebook
	Lock: Not Present
	Version: 1.0       
	Serial Number: F4N0CJ126451186     
	Asset Tag: ATN12345678901234567
	Boot-up State: Safe
	Power Supply State: Safe
	Thermal State: Safe
	Security Status: None
	OEM Information: 0x00000000
	Height: Unspecified
	Number Of Power Cords: 1
	Contained Elements: 1
		<OUT OF SPEC> (0)
	SKU Number: To be filled by O.E.M.

Handle 0x0004, DMI type 10, 26 bytes
On Board Device 1 Information
	Type: Video
	Status: Enabled
	Description:  VGA
On Board Device 2 Information
	Type: Ethernet
	Status: Enabled
	Description:  GLAN
On Board Device 3 Information
	Type: Ethernet
	Status: Enabled
	Description:  WLAN
On Board Device 4 Information
	Type: Sound
	Status: Enabled
	Description:  Audio CODEC 
On Board Device 5 Information
	Type: SATA Controller
	Status: Enabled
	Description:  SATA Controller
On Board Device 6 Information
	Type: Other
	Status: Enabled
	Description:  USB 2.0 Controller
On Board Device 7 Information
	Type: Other
	Status: Enabled
	Description:  USB 3.0 Controller
On Board Device 8 Information
	Type: Other
	Status: Enabled
	Description:  SMBus Controller
On Board Device 9 Information
	Type: Other
	Status: Enabled
	Description:  Card Reader
On Board Device 10 Information
	Type: Other
	Status: Enabled
	Description:  Cmos Camera
On Board Device 11 Information
	Type: Other
	Status: Enabled
	Description:  Bluetooth

Handle 0x0005, DMI type 11, 5 bytes
OEM Strings
	String 1:              
	String 2:              
	String 3:              
	String 4: 90NB08R1-M00200
	String 5:  
	String 6:  
	String 7:  
	String 8:  
	String 9:  
	String 10:  

Handle 0x000C, DMI type 32, 20 bytes
System Boot Information
	Status: No errors detected

Handle 0x000D, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L1 Cache
	Configuration: Enabled, Not Socketed, Level 1
	Operational Mode: Write Back
	Location: Internal
	Installed Size: 32 kB
	Maximum Size: 32 kB
	Supported SRAM Types:
		Synchronous
	Installed SRAM Type: Synchronous
	Speed: Unknown
	Error Correction Type: Parity
	System Type: Data
	Associativity: 8-way Set-associative

Handle 0x000E, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L1 Cache
	Configuration: Enabled, Not Socketed, Level 1
	Operational Mode: Write Back
	Location: Internal
	Installed Size: 32 kB
	Maximum Size: 32 kB
	Supported SRAM Types:
		Synchronous
	Installed SRAM Type: Synchronous
	Speed: Unknown
	Error Correction Type: Parity
	System Type: Instruction
	Associativity: 8-way Set-associative

Handle 0x000F, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L2 Cache
	Configuration: Enabled, Not Socketed, Level 2
	Operational Mode: Write Back
	Location: Internal
	Installed Size: 256 kB
	Maximum Size: 256 kB
	Supported SRAM Types:
		Synchronous
	Installed SRAM Type: Synchronous
	Speed: Unknown
	Error Correction Type: Single-bit ECC
	System Type: Unified
	Associativity: 8-way Set-associative

Handle 0x0010, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L3 Cache
	Configuration: Enabled, Not Socketed, Level 3
	Operational Mode: Write Back
	Location: Internal
	Installed Size: 3072 kB
	Maximum Size: 3072 kB
	Supported SRAM Types:
		Synchronous
	Installed SRAM Type: Synchronous
	Speed: Unknown
	Error Correction Type: Multi-bit ECC
	System Type: Unified
	Associativity: 12-way Set-associative

Handle 0x0011, DMI type 4, 42 bytes
Processor Information
	Socket Designation: SOCKET 0
	Type: Central Processor
	Family: Core i5
	Manufacturer: Intel(R) Corporation
	ID: D4 06 03 00 FF FB EB BF
	Signature: Type 0, Family 6, Model 61, Stepping 4
	Flags:
		FPU (Floating-point unit on-chip)
		VME (Virtual mode extension)
		DE (Debugging extension)
		PSE (Page size extension)
		TSC (Time stamp counter)
		MSR (Model specific registers)
		PAE (Physical address extension)
		MCE (Machine check exception)
		CX8 (CMPXCHG8 instruction supported)
		APIC (On-chip APIC hardware supported)
		SEP (Fast system call)
		MTRR (Memory type range registers)
		PGE (Page global enable)
		MCA (Machine check architecture)
		CMOV (Conditional move instruction supported)
		PAT (Page attribute table)
		PSE-36 (36-bit page size extension)
		CLFSH (CLFLUSH instruction supported)
		DS (Debug store)
		ACPI (ACPI supported)
		MMX (MMX technology supported)
		FXSR (FXSAVE and FXSTOR instructions supported)
		SSE (Streaming SIMD extensions)
		SSE2 (Streaming SIMD extensions 2)
		SS (Self-snoop)
		HTT (Multi-threading)
		TM (Thermal monitor supported)
		PBE (Pending break enabled)
	Version: Intel(R) Core(TM) i5-5200U CPU @ 2.20GHz
	Voltage: 0.9 V
	External Clock: 100 MHz
	Max Speed: 2200 MHz
	Current Speed: 2200 MHz
	Status: Populated, Enabled
	Upgrade: Socket BGA1168
	L1 Cache Handle: 0x000E
	L2 Cache Handle: 0x000F
	L3 Cache Handle: 0x0010
	Serial Number: NULL
	Asset Tag: To Be Filled By O.E.M
	Part Number: To Be Filled By O.E.M
	Core Count: 2
	Core Enabled: 2
	Thread Count: 4
	Characteristics:
		64-bit capable
		Multi-Core
		Hardware Thread
		Execute Protection
		Enhanced Virtualization
		Power/Performance Control

Handle 0x0012, DMI type 221, 12 bytes
OEM-specific Type
	Header and Data:
		DD 0C 12 00 01 01 00 02 05 00 00 00
	Strings:
		Reference Code - ACPI

Handle 0x0013, DMI type 16, 23 bytes
Physical Memory Array
	Location: System Board Or Motherboard
	Use: System Memory
	Error Correction Type: None
	Maximum Capacity: 16 GB
	Error Information Handle: Not Provided
	Number Of Devices: 2

Handle 0x0014, DMI type 17, 34 bytes
Memory Device
	Array Handle: 0x0013
	Error Information Handle: Not Provided
	Total Width: 64 bits
	Data Width: 64 bits
	Size: 4096 MB
	Form Factor: SODIMM
	Set: None
	Locator: ChannelA-DIMM0
	Bank Locator: BANK 0
	Type: DDR3
	Type Detail: Synchronous
	Speed: 1600 MHz
	Manufacturer: Hynix/Hyundai
	Serial Number: 00000000
	Asset Tag: 9876543210
	Part Number: HMT451S6BFR8A-PB  
	Rank: 1
	Configured Clock Speed: 1600 MHz

Handle 0x0015, DMI type 17, 34 bytes
Memory Device
	Array Handle: 0x0013
	Error Information Handle: Not Provided
	Total Width: 64 bits
	Data Width: 64 bits
	Size: 4096 MB
	Form Factor: SODIMM
	Set: None
	Locator: ChannelB-DIMM0
	Bank Locator: BANK 2
	Type: DDR3
	Type Detail: Synchronous
	Speed: 1600 MHz
	Manufacturer: Kingston
	Serial Number: 231F203F
	Asset Tag: 9876543210
	Part Number: 99U5469-045.A00LF 
	Rank: 1
	Configured Clock Speed: 1600 MHz

Handle 0x0016, DMI type 19, 31 bytes
Memory Array Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x001FFFFFFFF
	Range Size: 8 GB
	Physical Array Handle: 0x0013
	Partition Width: 2

Handle 0x0017, DMI type 20, 35 bytes
Memory Device Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x000FFFFFFFF
	Range Size: 4 GB
	Physical Device Handle: 0x0015
	Memory Array Mapped Address Handle: 0x0016
	Partition Row Position: Unknown
	Interleave Position: 1
	Interleaved Data Depth: 1

Handle 0x0018, DMI type 20, 35 bytes
Memory Device Mapped Address
	Starting Address: 0x00100000000
	Ending Address: 0x001FFFFFFFF
	Range Size: 4 GB
	Physical Device Handle: 0x0015
	Memory Array Mapped Address Handle: 0x0016
	Partition Row Position: Unknown
	Interleave Position: 2
	Interleaved Data Depth: 1

Handle 0x0019, DMI type 221, 54 bytes
OEM-specific Type
	Header and Data:
		DD 36 19 00 07 01 00 02 05 00 00 00 02 00 02 05
		00 03 00 03 00 02 05 00 00 00 04 05 FF FF FF FF
		FF 06 00 FF FF FF 09 00 07 00 FF FF FF 09 00 08
		00 FF FF FF FF FF
	Strings:
		Reference Code - SA - System Agent
		Reference Code - MRC
		SA - PCIe Version
		SA-CRID Status
		Disabled
		SA-CRID Original Value
		SA-CRID New Value
		OPROM - VBIOS

Handle 0x001A, DMI type 221, 26 bytes
OEM-specific Type
	Header and Data:
		DD 1A 1A 00 03 01 00 02 05 00 00 00 02 00 FF FF
		FF FF 00 03 04 0A 00 23 F4 03
	Strings:
		Reference Code - ME 10.0
		MEBx version
		ME Firmware Version
		1.5MB SKU

Handle 0x001B, DMI type 221, 68 bytes
OEM-specific Type
	Header and Data:
		DD 44 1B 00 09 01 00 02 05 00 00 00 02 03 FF FF
		FF FF FF 04 00 FF FF FF 03 00 05 00 FF FF FF 03
		00 06 00 FF FF FF FF FF 07 00 19 00 00 00 00 08
		00 2C 00 00 00 00 09 00 03 00 00 00 00 0A 00 01
		00 00 00 00
	Strings:
		Reference Code - PCH - Lynxpoint
		PCH-CRID Status
		Disabled
		PCH-CRID Original Value
		PCH-CRID New Value
		OPROM - RST - RAID
		LPTLp Bx Hsio Version
		LPTH Cx Hsio Version
		PCH9S A0 Hsio Version
		WPTLp B0 Hsio Version

Handle 0x001C, DMI type 221, 26 bytes
OEM-specific Type
	Header and Data:
		DD 1A 1C 00 03 01 00 02 05 00 00 00 02 00 00 00
		00 1D 00 03 00 00 05 00 00 00
	Strings:
		Reference Code - CPU
		uCode Version
		TXT ACM version

Handle 0x001D, DMI type 13, 22 bytes
BIOS Language Information
	Language Description Format: Long
	Installable Languages: 1
		en|US|iso8859-1
	Currently Installed Language: en|US|iso8859-1

Handle 0x001E, DMI type 131, 64 bytes
OEM-specific Type
	Header and Data:
		83 40 1E 00 31 00 00 00 00 00 00 00 00 00 00 00
		F8 00 C3 9C 00 00 00 00 01 40 00 00 00 00 0A 00
		F4 03 23 00 00 00 00 00 C8 00 FF FF 00 00 00 00
		00 00 00 00 26 00 00 00 76 50 72 6F 00 00 00 00

Handle 0x001F, DMI type 14, 20 bytes
Group Associations
	Name: Firmware Version Info
	Items: 5
		0x0012 (OEM-specific)
		0x0019 (OEM-specific)
		0x001A (OEM-specific)
		0x001B (OEM-specific)
		0x001C (OEM-specific)

Handle 0x0020, DMI type 127, 4 bytes
End Of Table


/proc/iomem


00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : reserved
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : System ROM
00000000-00000000 : System RAM
00000000-00000000 : System RAM
00000000-00000000 : System RAM
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : System RAM
00000000-00000000 : System RAM
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : ACPI Non-volatile Storage
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : RAM buffer
00000000-00000000 : reserved
  00000000-00000000 : Graphics Stolen Memory
00000000-00000000 : PCI Bus 0000:00
  00000000-00000000 : pnp 00:06
  00000000-00000000 : pnp 00:06
  00000000-00000000 : 0000:00:02.0
  00000000-00000000 : PCI Bus 0000:03
    00000000-00000000 : 0000:03:00.0
    00000000-00000000 : 0000:03:00.0
  00000000-00000000 : PCI Bus 0000:02
    00000000-00000000 : 0000:02:00.0
      00000000-00000000 : iwlwifi
  00000000-00000000 : 0000:00:14.0
    00000000-00000000 : xhci-hcd
  00000000-00000000 : 0000:00:04.0
  00000000-00000000 : 0000:00:1b.0
    00000000-00000000 : ICH HD audio
  00000000-00000000 : 0000:00:03.0
    00000000-00000000 : ICH HD audio
  00000000-00000000 : 0000:00:1f.6
    00000000-00000000 : Intel PCH thermal driver
  00000000-00000000 : 0000:00:1f.3
  00000000-00000000 : 0000:00:1f.2
    00000000-00000000 : ahci
  00000000-00000000 : 0000:00:16.0
    00000000-00000000 : mei_me
  00000000-00000000 : 0000:00:02.0
  00000000-00000000 : PCI Bus 0000:03
    00000000-00000000 : 0000:03:00.0
    00000000-00000000 : 0000:03:00.0
  00000000-00000000 : PCI MMCONFIG 0000 [bus 00-3f]
    00000000-00000000 : reserved
      00000000-00000000 : pnp 00:06
00000000-00000000 : reserved
  00000000-00000000 : IOAPIC 0
00000000-00000000 : reserved
  00000000-00000000 : HPET 0
    00000000-00000000 : PNP0103:00
00000000-00000000 : pnp 00:06
00000000-00000000 : pnp 00:06
00000000-00000000 : pnp 00:06
00000000-00000000 : reserved
  00000000-00000000 : pnp 00:06
    00000000-00000000 : iTCO_wdt.0.auto
      00000000-00000000 : iTCO_wdt
00000000-00000000 : pnp 00:06
00000000-00000000 : MSFT0101:00
00000000-00000000 : dmar0
00000000-00000000 : dmar1
00000000-00000000 : Local APIC
  00000000-00000000 : reserved
00000000-00000000 : reserved
  00000000-00000000 : INT0800:00
    00000000-00000000 : pnp 00:06
00000000-00000000 : System RAM
  00000000-00000000 : Kernel code
  00000000-00000000 : Kernel data
  00000000-00000000 : Kernel bss
00000000-00000000 : RAM buffer

Comment 24 Stan King 2017-05-14 16:57:28 UTC
Created attachment 1278669 [details]
dmidecode output from affected Asus Zenbook UX305CA

Here is the dmidecode output from my laptop that's affected by the bug described in this bugzilla.  I'll attach the /proc/iomem output with my next message.

My system has an Intel m3-6Y30 "Skylake?" processor and the newest available BIOS, dated 2016.

Comment 25 Stan King 2017-05-14 16:58:52 UTC
Created attachment 1278670 [details]
contents of /proc/iomem from an Asus UX305CA

Accompanies the earlier dmidecode attachment.

Comment 26 Robert Hancock 2017-05-24 01:37:10 UTC
Seeing the same issue with an Asus PRIME H270-PRO motherboard with the latest 0607 BIOS:

[    3.938517] tpm_crb MSFT0101:00: can't request region for resource [mem 0xfed40080-0xfed40fff]
[    3.938546] tpm_crb: probe of MSFT0101:00 failed with error -16

From /proc/iomem:

fed10000-fed17fff : pnp 00:05
fed18000-fed18fff : pnp 00:05
fed19000-fed19fff : pnp 00:05
fed20000-fed3ffff : pnp 00:05
fed40000-fed4087f : MSFT0101:00
fed45000-fed8ffff : pnp 00:05

Comment 27 ZWolfe 2017-05-24 22:46:45 UTC
iomem dump

00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : reserved
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : System ROM
00000000-00000000 : System RAM
00000000-00000000 : ACPI Non-volatile Storage
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : ACPI Non-volatile Storage
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : RAM buffer
00000000-00000000 : reserved
00000000-00000000 : reserved
  00000000-00000000 : Graphics Stolen Memory
00000000-00000000 : PCI Bus 0000:00
  00000000-00000000 : 0000:00:02.0
  00000000-00000000 : 0000:00:02.0
  00000000-00000000 : PCI Bus 0000:01
    00000000-00000000 : 0000:01:00.0
      00000000-00000000 : iwlwifi
  00000000-00000000 : 0000:00:1f.3
    00000000-00000000 : ICH HD audio
  00000000-00000000 : 0000:00:14.0
    00000000-00000000 : xhci-hcd
  00000000-00000000 : 0000:00:04.0
  00000000-00000000 : 0000:00:1f.3
    00000000-00000000 : ICH HD audio
  00000000-00000000 : 0000:00:1f.2
  00000000-00000000 : 0000:00:17.0
    00000000-00000000 : ahci
  00000000-00000000 : 0000:00:1f.4
  00000000-00000000 : 0000:00:17.0
    00000000-00000000 : ahci
  00000000-00000000 : 0000:00:17.0
    00000000-00000000 : ahci
  00000000-00000000 : 0000:00:16.0
    00000000-00000000 : mei_me
  00000000-00000000 : 0000:00:15.1
    00000000-00000000 : lpss_dev
      00000000-00000000 : lpss_dev
    00000000-00000000 : lpss_priv
    00000000-00000000 : idma64.1
      00000000-00000000 : idma64.1
  00000000-00000000 : 0000:00:15.0
    00000000-00000000 : lpss_dev
      00000000-00000000 : lpss_dev
    00000000-00000000 : lpss_priv
    00000000-00000000 : idma64.0
      00000000-00000000 : idma64.0
  00000000-00000000 : 0000:00:14.2
    00000000-00000000 : Intel PCH thermal driver
  00000000-00000000 : 0000:00:13.0
    00000000-00000000 : intel_ish_ipc
  00000000-00000000 : pnp 00:05
00000000-00000000 : PCI MMCONFIG 0000 [bus 00-ff]
  00000000-00000000 : reserved
    00000000-00000000 : pnp 00:05
00000000-00000000 : PCI Bus 0000:00
  00000000-00000000 : pnp 00:06
  00000000-00000000 : pnp 00:08
  00000000-00000000 : pnp 00:06
  00000000-00000000 : pnp 00:08
  00000000-00000000 : pnp 00:08
  00000000-00000000 : pnp 00:06
    00000000-00000000 : iTCO_wdt
      00000000-00000000 : iTCO_wdt
  00000000-00000000 : reserved
  00000000-00000000 : pnp 00:06
  00000000-00000000 : pnp 00:06
  00000000-00000000 : pnp 00:06
00000000-00000000 : reserved
  00000000-00000000 : IOAPIC 0
00000000-00000000 : HPET 0
  00000000-00000000 : PNP0103:00
00000000-00000000 : pnp 00:05
00000000-00000000 : pnp 00:05
00000000-00000000 : pnp 00:05
00000000-00000000 : pnp 00:05
00000000-00000000 : MSFT0101:00
00000000-00000000 : pnp 00:05
00000000-00000000 : dmar0
00000000-00000000 : dmar1
00000000-00000000 : Local APIC
  00000000-00000000 : reserved
00000000-00000000 : reserved
  00000000-00000000 : INT0800:00
    00000000-00000000 : pnp 00:05
00000000-00000000 : System RAM
  00000000-00000000 : Kernel code
  00000000-00000000 : Kernel data
  00000000-00000000 : Kernel bss
00000000-00000000 : RAM buffer

# dmidecode 3.0
Getting SMBIOS data from sysfs.
SMBIOS 3.0.0 present.
Table at 0x67656000.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
        Vendor: American Megatrends Inc.
        Version: Q504UA.202
        Release Date: 04/20/2016
        Address: 0xF0000
        Runtime Size: 64 kB                                                                                                                                         
        ROM Size: 6016 kB                                                                                                                                           
        Characteristics:                                                                                                                                            
                PCI is supported                                                                                                                                    
                BIOS is upgradeable                                                                                                                                 
                BIOS shadowing is allowed                                                                                                                           
                Boot from CD is supported                                                                                                                           
                Selectable boot is supported                                                                                                                        
                BIOS ROM is socketed                                                                                                                                
                EDD is supported                                                                                                                                    
                5.25"/1.2 MB floppy services are supported (int 13h)                                                                                                
                3.5"/720 kB floppy services are supported (int 13h)                                                                                                 
                3.5"/2.88 MB floppy services are supported (int 13h)                                                                                                
                Print screen service is supported (int 5h)
                8042 keyboard services are supported (int 9h)
                Serial services are supported (int 14h)
                Printer services are supported (int 17h)
                ACPI is supported
                USB legacy is supported
                Smart battery is supported
                BIOS boot specification is supported
                Targeted content distribution is supported
                UEFI is supported
        BIOS Revision: 5.11

Handle 0x0001, DMI type 1, 27 bytes
System Information
        Manufacturer: ASUSTeK COMPUTER INC.
        Product Name: Q504UA
        Version: 1.0       
        Serial Number: G6N0WU033275259     
        UUID: 1D08B662-DCFA-5245-80DD-D523DA1C6C37
        Wake-up Type: Power Switch
        SKU Number: ASUS-NotebookSKU
        Family: Q

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
        Manufacturer: ASUSTeK COMPUTER INC.
        Product Name: Q504UA
        Version: 1.0       
        Serial Number: BSN12345678901234567
        Asset Tag: ATN12345678901234567
        Features:
                Board is a hosting board
                Board is replaceable
        Location In Chassis: MIDDLE              
        Chassis Handle: 0x0003
        Type: Motherboard
        Contained Object Handles: 0

Handle 0x0003, DMI type 3, 22 bytes
Chassis Information
        Manufacturer: ASUSTeK COMPUTER INC.
        Type: Notebook
        Lock: Not Present
        Version: 1.0       
        Serial Number: G6N0WU033275259     
        Asset Tag: ATN12345678901234567
        Boot-up State: Safe
        Power Supply State: Safe
        Thermal State: Safe
        Security Status: None
        OEM Information: 0x00000000
        Height: Unspecified
        Number Of Power Cords: 1
        Contained Elements: 0
        SKU Number: Default string

Handle 0x0004, DMI type 10, 26 bytes
On Board Device 1 Information
        Type: Video
        Status: Enabled
        Description:  VGA
On Board Device 2 Information
        Type: Ethernet
        Status: Enabled
        Description:  GLAN
On Board Device 3 Information
        Type: Ethernet
        Status: Enabled
        Description:  WLAN
On Board Device 4 Information
        Type: Sound
        Status: Enabled
        Description:  Audio CODEC 
On Board Device 5 Information
        Type: SATA Controller
        Status: Enabled
        Description:  SATA Controller
On Board Device 6 Information
        Type: Other
        Status: Enabled
        Description:  USB 2.0 Controller
On Board Device 7 Information
        Type: Other
        Status: Enabled
        Description:  USB 3.0 Controller
On Board Device 8 Information
        Type: Other
        Status: Enabled
        Description:  SMBus Controller
On Board Device 9 Information
        Type: Other
        Status: Enabled
        Description:  Card Reader
On Board Device 10 Information
        Type: Other
        Status: Enabled
        Description:  Cmos Camera
On Board Device 11 Information
        Type: Other
        Status: Enabled
        Description:  Bluetooth

Handle 0x0005, DMI type 11, 5 bytes
OEM Strings
        String 1:              
        String 2:              
        String 3:              
        String 4: 90NB0BZ2-M00010
        String 5:  
        String 6:  
        String 7:  
        String 8:  
        String 9:  
        String 10:  

Handle 0x000C, DMI type 32, 20 bytes
System Boot Information
        Status: No errors detected

Handle 0x000D, DMI type 7, 19 bytes
Cache Information
        Socket Designation: L1 Cache
        Configuration: Enabled, Not Socketed, Level 1
        Operational Mode: Write Back
        Location: Internal
        Installed Size: 64 kB
        Maximum Size: 64 kB
        Supported SRAM Types:
                Synchronous
        Installed SRAM Type: Synchronous
        Speed: Unknown
        Error Correction Type: Parity
        System Type: Data
        Associativity: 8-way Set-associative

Handle 0x000E, DMI type 7, 19 bytes
Cache Information
        Socket Designation: L1 Cache
        Configuration: Enabled, Not Socketed, Level 1
        Operational Mode: Write Back
        Location: Internal
        Installed Size: 64 kB
        Maximum Size: 64 kB
        Supported SRAM Types:
                Synchronous
        Installed SRAM Type: Synchronous
        Speed: Unknown
        Error Correction Type: Parity
        System Type: Instruction
        Associativity: 8-way Set-associative

Handle 0x000F, DMI type 7, 19 bytes
Cache Information
        Socket Designation: L2 Cache
        Configuration: Enabled, Not Socketed, Level 2
        Operational Mode: Write Back
        Location: Internal
        Installed Size: 512 kB
        Maximum Size: 512 kB
        Supported SRAM Types:
                Synchronous
        Installed SRAM Type: Synchronous
        Speed: Unknown
        Error Correction Type: Single-bit ECC
        System Type: Unified
        Associativity: 4-way Set-associative

Handle 0x0010, DMI type 7, 19 bytes
Cache Information
        Socket Designation: L3 Cache
        Configuration: Enabled, Not Socketed, Level 3
        Operational Mode: Write Back
        Location: Internal
        Installed Size: 3072 kB
        Maximum Size: 3072 kB
        Supported SRAM Types:
                Synchronous
        Installed SRAM Type: Synchronous
        Speed: Unknown
        Error Correction Type: Multi-bit ECC
        System Type: Unified
        Associativity: 12-way Set-associative

Handle 0x0011, DMI type 4, 48 bytes
Processor Information
        Socket Designation: U3E1
        Type: Central Processor
        Family: Core i5
        Manufacturer: Intel(R) Corporation
        ID: E3 06 04 00 FF FB EB BF
        Signature: Type 0, Family 6, Model 78, Stepping 3
        Flags:
                FPU (Floating-point unit on-chip)
                VME (Virtual mode extension)
                DE (Debugging extension)
                PSE (Page size extension)
                TSC (Time stamp counter)
                MSR (Model specific registers)
                PAE (Physical address extension)
                MCE (Machine check exception)
                CX8 (CMPXCHG8 instruction supported)
                APIC (On-chip APIC hardware supported)
                SEP (Fast system call)
                MTRR (Memory type range registers)
                PGE (Page global enable)
                MCA (Machine check architecture)
                CMOV (Conditional move instruction supported)
                PAT (Page attribute table)
                PSE-36 (36-bit page size extension)
                CLFSH (CLFLUSH instruction supported)
                DS (Debug store)
                ACPI (ACPI supported)
                MMX (MMX technology supported)
                FXSR (FXSAVE and FXSTOR instructions supported)
                SSE (Streaming SIMD extensions)
                SSE2 (Streaming SIMD extensions 2)
                SS (Self-snoop)
                HTT (Multi-threading)
                TM (Thermal monitor supported)
                PBE (Pending break enabled)
        Version: Intel(R) Core(TM) i5-6200U CPU @ 2.30GHz
        Voltage: 0.8 V
        External Clock: 100 MHz
        Max Speed: 8300 MHz
        Current Speed: 2200 MHz
        Status: Populated, Enabled
        Upgrade: Other
        L1 Cache Handle: 0x000E
        L2 Cache Handle: 0x000F
        L3 Cache Handle: 0x0010
        Serial Number: To Be Filled By O.E.M.
        Asset Tag: To Be Filled By O.E.M.
        Part Number: To Be Filled By O.E.M.
        Core Count: 2
        Core Enabled: 2
        Thread Count: 4
        Characteristics:
                64-bit capable
                Multi-Core
                Hardware Thread
                Execute Protection
                Enhanced Virtualization
                Power/Performance Control

Handle 0x0012, DMI type 16, 23 bytes
Physical Memory Array
        Location: System Board Or Motherboard
        Use: System Memory
        Error Correction Type: None
        Maximum Capacity: 32 GB
        Error Information Handle: Not Provided
        Number Of Devices: 2

Handle 0x0013, DMI type 17, 40 bytes
Memory Device
        Array Handle: 0x0012
        Error Information Handle: Not Provided
        Total Width: 64 bits
        Data Width: 64 bits
        Size: 8192 MB
        Form Factor: SODIMM
        Set: None
        Locator: ChannelA-DIMM0
        Bank Locator: BANK 0
        Type: DDR4
        Type Detail: Synchronous
        Speed: 2133 MHz
        Manufacturer: SK Hynix
        Serial Number: 00000000
        Asset Tag: 9876543210
        Part Number: HMA81GS6MFR8N-TF    
        Rank: 1
        Configured Clock Speed: 2133 MHz
        Minimum Voltage: Unknown
        Maximum Voltage: Unknown
        Configured Voltage: 1.2 V

Handle 0x0014, DMI type 17, 40 bytes
Memory Device
        Array Handle: 0x0012
        Error Information Handle: Not Provided
        Total Width: 64 bits
        Data Width: 64 bits
        Size: 4096 MB
        Form Factor: SODIMM
        Set: None
        Locator: ChannelB-DIMM0
        Bank Locator: BANK 2
        Type: DDR4
        Type Detail: Synchronous
        Speed: 2133 MHz
        Manufacturer: Samsung
        Serial Number: 15711141
        Asset Tag: 9876543210
        Part Number: M471A5143EB0-CPB    
        Rank: 1
        Configured Clock Speed: 2133 MHz
        Minimum Voltage: Unknown
        Maximum Voltage: Unknown
        Configured Voltage: 1.2 V

Handle 0x0015, DMI type 19, 31 bytes
Memory Array Mapped Address
        Starting Address: 0x00000000000
        Ending Address: 0x002FFFFFFFF
        Range Size: 12 GB
        Physical Array Handle: 0x0012
        Partition Width: 2

Handle 0x0016, DMI type 221, 12 bytes
OEM-specific Type
        Header and Data:
                DD 0C 16 00 01 01 00 01 07 00 00 00
        Strings:
                Reference Code - ACPI

Handle 0x0017, DMI type 20, 35 bytes
Memory Device Mapped Address
        Starting Address: 0x00000000000
        Ending Address: 0x001FFFFFFFF
        Range Size: 8 GB
        Physical Device Handle: 0x0013
        Memory Array Mapped Address Handle: 0x0015
        Partition Row Position: Unknown
        Interleave Position: 1
        Interleaved Data Depth: 1

Handle 0x0018, DMI type 20, 35 bytes
Memory Device Mapped Address
        Starting Address: 0x00200000000
        Ending Address: 0x002FFFFFFFF
        Range Size: 4 GB
        Physical Device Handle: 0x0014
        Memory Array Mapped Address Handle: 0x0015
        Partition Row Position: Unknown
        Interleave Position: 2
        Interleaved Data Depth: 1

Handle 0x0019, DMI type 130, 20 bytes
OEM-specific Type
        Header and Data:
                82 14 19 00 24 41 4D 54 00 00 00 00 00 A5 AF 02
                C0 00 00 00

Handle 0x001A, DMI type 131, 64 bytes
OEM-specific Type
        Header and Data:
                83 40 1A 00 31 00 00 00 00 00 00 00 00 00 00 00
                F8 00 48 9D 00 00 00 00 01 00 00 00 00 00 0B 00
                E9 03 01 00 00 00 00 00 FE 00 FF FF 00 00 00 00
                00 00 00 00 22 00 00 00 76 50 72 6F 00 00 00 00

Handle 0x001B, DMI type 221, 26 bytes
OEM-specific Type
        Header and Data:
                DD 1A 1B 00 03 01 00 01 07 00 00 00 02 00 00 00
                00 84 00 03 00 00 05 00 00 00
        Strings:
                Reference Code - CPU
                uCode Version
                TXT ACM version

Handle 0x001C, DMI type 221, 26 bytes
OEM-specific Type
        Header and Data:
                DD 1A 1C 00 03 01 00 01 07 00 00 00 02 00 01 07
                00 00 00 03 04 0B 00 01 E9 03
        Strings:
                Reference Code - ME 11.0
                MEBx version
                ME Firmware Version
                Consumer SKU

Handle 0x001D, DMI type 221, 68 bytes
OEM-specific Type
        Header and Data:
                DD 44 1D 00 09 01 00 01 07 00 00 00 02 03 FF FF
                FF FF FF 04 00 FF FF FF 21 00 05 00 FF FF FF 21
                00 06 00 FF FF FF FF FF 07 00 3E 00 00 00 00 08
                00 34 00 00 00 00 09 00 3E 00 00 00 00 0A 00 34
                00 00 00 00
        Strings:
                Reference Code - SKL PCH
                PCH-CRID Status
                Disabled
                PCH-CRID Original Value
                PCH-CRID New Value
                OPROM - RST - RAID
                SKL PCH H Bx Hsio Version
                SKL PCH H Dx Hsio Version
                SKL PCH LP Bx Hsio Version
                SKL PCH LP Cx Hsio Version

Handle 0x001E, DMI type 221, 54 bytes
OEM-specific Type
        Header and Data:
                DD 36 1E 00 07 01 00 01 07 00 00 00 02 00 01 07
                00 00 00 03 00 01 07 00 00 00 04 05 FF FF FF FF
                FF 06 00 FF FF FF 08 00 07 00 FF FF FF 08 00 08
                00 FF FF FF FF FF
        Strings:
                Reference Code - SA - System Agent
                Reference Code - MRC
                SA - PCIe Version
                SA-CRID Status
                Disabled
                SA-CRID Original Value
                SA-CRID New Value
                OPROM - VBIOS

Handle 0x001F, DMI type 221, 96 bytes
OEM-specific Type
        Header and Data:
                DD 60 1F 00 0D 01 00 00 00 00 00 00 02 00 FF FF
                FF FF FF 03 04 FF FF FF FF FF 05 06 FF FF FF FF
                FF 07 08 FF FF FF FF FF 09 00 00 00 00 00 00 0A
                00 FF FF FF FF FF 0B 00 FF FF 00 00 00 0C 00 00
                09 00 42 10 0D 00 02 00 00 00 00 0E 00 FF FF FF
                FF FF 0F 00 FF FF FF FF FF 10 11 01 02 02 03 00
        Strings:
                Lan Phy Version
                Sensor Firmware Version
                Debug Mode Status
                Enabled 
                Performance Mode Status
                Disabled
                Debug Use USB(Disabled:Serial)
                Disabled
                ICC Overclocking Version
                UNDI Version
                EC FW Version
                GOP Version
                BIOS Guard Version
                Base EC FW Version
                EC-EC Protocol Version
                Royal Park Version
                BP1.2.2.0_RP03

Handle 0x0020, DMI type 136, 6 bytes
OEM-specific Type
        Header and Data:
                88 06 20 00 00 00

Handle 0x0021, DMI type 14, 23 bytes
Group Associations
        Name: Firmware Version Info
        Items: 6
                0x0016 (OEM-specific)
                0x001B (OEM-specific)
                0x001C (OEM-specific)
                0x001D (OEM-specific)
                0x001E (OEM-specific)
                0x001F (OEM-specific)

Handle 0x0022, DMI type 14, 8 bytes
Group Associations
        Name: $MEI
        Items: 1
                0x0000 (OEM-specific)

Handle 0x0023, DMI type 219, 81 bytes
OEM-specific Type
        Header and Data:
                DB 51 23 00 01 03 01 45 00 00 90 06 01 00 66 00
                02 00 00 00 40 08 00 00 00 00 00 00 00 00 40 02
                FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF
                FF FF FF FF FF FF FF FF 03 00 00 00 80 00 00 00
                00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
                00
        Strings:
                MEI1
                MEI2
                MEI3

Handle 0x0024, DMI type 13, 22 bytes
BIOS Language Information
        Language Description Format: Long
        Installable Languages: 1
                en|US|iso8859-1
        Currently Installed Language: en|US|iso8859-1

Handle 0x0025, DMI type 127, 4 bytes
End Of Table

Comment 28 Robert Hancock 2017-05-25 03:59:56 UTC
I tested with a 4.12-rc kernel and the TPM does work there (though it still complains in dmesg about the bad BIOS resource reservation).

Comment 29 rockonthemoonfm 2017-06-08 14:16:50 UTC
same problem here:

$ cat /proc/iomem 
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : reserved
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : System ROM
00000000-00000000 : System RAM
00000000-00000000 : System RAM
00000000-00000000 : System RAM
00000000-00000000 : System RAM
00000000-00000000 : System RAM
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : ACPI Non-volatile Storage
00000000-00000000 : reserved
00000000-00000000 : System RAM
00000000-00000000 : RAM buffer
00000000-00000000 : reserved
  00000000-00000000 : Graphics Stolen Memory
00000000-00000000 : PCI Bus 0000:00
  00000000-00000000 : pnp 00:06
  00000000-00000000 : pnp 00:06
  00000000-00000000 : 0000:00:02.0
  00000000-00000000 : PCI Bus 0000:03
    00000000-00000000 : 0000:03:00.0
      00000000-00000000 : 0000:03:00.0
  00000000-00000000 : PCI Bus 0000:02
    00000000-00000000 : 0000:02:00.0
      00000000-00000000 : r8169
    00000000-00000000 : 0000:02:00.0
      00000000-00000000 : r8169
  00000000-00000000 : 0000:00:14.0
    00000000-00000000 : xhci-hcd
  00000000-00000000 : 0000:00:04.0
  00000000-00000000 : 0000:00:1b.0
    00000000-00000000 : ICH HD audio
  00000000-00000000 : 0000:00:03.0
    00000000-00000000 : ICH HD audio
  00000000-00000000 : 0000:00:1f.6
    00000000-00000000 : Intel PCH thermal driver
  00000000-00000000 : 0000:00:1f.3
  00000000-00000000 : 0000:00:1f.2
    00000000-00000000 : ahci
  00000000-00000000 : 0000:00:1d.0
    00000000-00000000 : ehci_hcd
  00000000-00000000 : 0000:00:16.0
    00000000-00000000 : mei_me
  00000000-00000000 : 0000:00:02.0
00000000-00000000 : PCI MMCONFIG 0000 [bus 00-3f]
  00000000-00000000 : reserved
    00000000-00000000 : pnp 00:06
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : reserved
  00000000-00000000 : IOAPIC 0
00000000-00000000 : reserved
  00000000-00000000 : HPET 0
    00000000-00000000 : PNP0103:00
00000000-00000000 : pnp 00:06
00000000-00000000 : pnp 00:06
00000000-00000000 : pnp 00:06
00000000-00000000 : reserved
  00000000-00000000 : pnp 00:06
    00000000-00000000 : iTCO_wdt.2.auto
      00000000-00000000 : iTCO_wdt
00000000-00000000 : pnp 00:06
00000000-00000000 : MSFT0101:00






# dmidecode 3.1
Getting SMBIOS data from sysfs.
SMBIOS 3.0.0 present.
Table at 0xA47BE000.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: American Megatrends Inc.
	Version: X555LAB.601
	Release Date: 05/05/2016
	Address: 0xF0000
	Runtime Size: 64 kB
	ROM Size: 6464 kB
	Characteristics:
		PCI is supported
		BIOS is upgradeable
		BIOS shadowing is allowed
		Boot from CD is supported
		Selectable boot is supported
		BIOS ROM is socketed
		EDD is supported
		5.25"/1.2 MB floppy services are supported (int 13h)
		3.5"/720 kB floppy services are supported (int 13h)
		3.5"/2.88 MB floppy services are supported (int 13h)
		Print screen service is supported (int 5h)
		8042 keyboard services are supported (int 9h)
		Serial services are supported (int 14h)
		Printer services are supported (int 17h)
		ACPI is supported
		USB legacy is supported
		Smart battery is supported
		BIOS boot specification is supported
		Targeted content distribution is supported
		UEFI is supported
	BIOS Revision: 5.11

Handle 0x0001, DMI type 1, 27 bytes
System Information
	Manufacturer: ASUSTeK COMPUTER INC.
	Product Name: X555LAB
	Version: 1.0       
	Serial Number: F5N0CV146974205     
	UUID: 1C530B70-F52F-81E4-3439-1CB72C306F6E
	Wake-up Type: Power Switch
	SKU Number: ASUS-NotebookSKU
	Family: X

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
	Manufacturer: ASUSTeK COMPUTER INC.
	Product Name: X555LAB
	Version: 1.0       
	Serial Number: BSN12345678901234567
	Asset Tag: ATN12345678901234567
	Features:
		Board is a hosting board
		Board is replaceable
	Location In Chassis: MIDDLE              
	Chassis Handle: 0x0003
	Type: Motherboard
	Contained Object Handles: 0

Handle 0x0003, DMI type 3, 22 bytes
Chassis Information
	Manufacturer: ASUSTeK COMPUTER INC.
	Type: Notebook
	Lock: Not Present
	Version: 1.0       
	Serial Number: F5N0CV146974205     
	Asset Tag: ATN12345678901234567
	Boot-up State: Safe
	Power Supply State: Safe
	Thermal State: Safe
	Security Status: None
	OEM Information: 0x00000000
	Height: Unspecified
	Number Of Power Cords: 1
	Contained Elements: 0
	SKU Number: Default string

Handle 0x0004, DMI type 10, 26 bytes
On Board Device 1 Information
	Type: Video
	Status: Enabled
	Description:  VGA
On Board Device 2 Information
	Type: Ethernet
	Status: Enabled
	Description:  GLAN
On Board Device 3 Information
	Type: Ethernet
	Status: Enabled
	Description:  WLAN
On Board Device 4 Information
	Type: Sound
	Status: Enabled
	Description:  Audio CODEC 
On Board Device 5 Information
	Type: SATA Controller
	Status: Enabled
	Description:  SATA Controller
On Board Device 6 Information
	Type: Other
	Status: Enabled
	Description:  USB 2.0 Controller
On Board Device 7 Information
	Type: Other
	Status: Enabled
	Description:  USB 3.0 Controller
On Board Device 8 Information
	Type: Other
	Status: Enabled
	Description:  SMBus Controller
On Board Device 9 Information
	Type: Other
	Status: Enabled
	Description:  Card Reader
On Board Device 10 Information
	Type: Other
	Status: Enabled
	Description:  Cmos Camera
On Board Device 11 Information
	Type: Other
	Status: Enabled
	Description:  Bluetooth

Handle 0x0005, DMI type 11, 5 bytes
OEM Strings
	String 1:              
	String 2:              
	String 3:              
	String 4: 90NB0658-M18500
	String 5:  
	String 6:  
	String 7:  
	String 8:  
	String 9:  
	String 10:  

Handle 0x000C, DMI type 32, 20 bytes
System Boot Information
	Status: No errors detected

Handle 0x000D, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L1 Cache
	Configuration: Enabled, Not Socketed, Level 1
	Operational Mode: Write Back
	Location: Internal
	Installed Size: 32 kB
	Maximum Size: 32 kB
	Supported SRAM Types:
		Synchronous
	Installed SRAM Type: Synchronous
	Speed: Unknown
	Error Correction Type: Parity
	System Type: Data
	Associativity: 8-way Set-associative

Handle 0x000E, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L1 Cache
	Configuration: Enabled, Not Socketed, Level 1
	Operational Mode: Write Back
	Location: Internal
	Installed Size: 32 kB
	Maximum Size: 32 kB
	Supported SRAM Types:
		Synchronous
	Installed SRAM Type: Synchronous
	Speed: Unknown
	Error Correction Type: Parity
	System Type: Instruction
	Associativity: 8-way Set-associative

Handle 0x000F, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L2 Cache
	Configuration: Enabled, Not Socketed, Level 2
	Operational Mode: Write Back
	Location: Internal
	Installed Size: 256 kB
	Maximum Size: 256 kB
	Supported SRAM Types:
		Synchronous
	Installed SRAM Type: Synchronous
	Speed: Unknown
	Error Correction Type: Single-bit ECC
	System Type: Unified
	Associativity: 8-way Set-associative

Handle 0x0010, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L3 Cache
	Configuration: Enabled, Not Socketed, Level 3
	Operational Mode: Write Back
	Location: Internal
	Installed Size: 3072 kB
	Maximum Size: 3072 kB
	Supported SRAM Types:
		Synchronous
	Installed SRAM Type: Synchronous
	Speed: Unknown
	Error Correction Type: Multi-bit ECC
	System Type: Unified
	Associativity: 12-way Set-associative

Handle 0x0011, DMI type 4, 42 bytes
Processor Information
	Socket Designation: SOCKET 0
	Type: Central Processor
	Family: Core i3
	Manufacturer: Intel(R) Corporation
	ID: D4 06 03 00 FF FB EB BF
	Signature: Type 0, Family 6, Model 61, Stepping 4
	Flags:
		FPU (Floating-point unit on-chip)
		VME (Virtual mode extension)
		DE (Debugging extension)
		PSE (Page size extension)
		TSC (Time stamp counter)
		MSR (Model specific registers)
		PAE (Physical address extension)
		MCE (Machine check exception)
		CX8 (CMPXCHG8 instruction supported)
		APIC (On-chip APIC hardware supported)
		SEP (Fast system call)
		MTRR (Memory type range registers)
		PGE (Page global enable)
		MCA (Machine check architecture)
		CMOV (Conditional move instruction supported)
		PAT (Page attribute table)
		PSE-36 (36-bit page size extension)
		CLFSH (CLFLUSH instruction supported)
		DS (Debug store)
		ACPI (ACPI supported)
		MMX (MMX technology supported)
		FXSR (FXSAVE and FXSTOR instructions supported)
		SSE (Streaming SIMD extensions)
		SSE2 (Streaming SIMD extensions 2)
		SS (Self-snoop)
		HTT (Multi-threading)
		TM (Thermal monitor supported)
		PBE (Pending break enabled)
	Version: Intel(R) Core(TM) i3-5005U CPU @ 2.00GHz
	Voltage: 0.8 V
	External Clock: 100 MHz
	Max Speed: 2000 MHz
	Current Speed: 2000 MHz
	Status: Populated, Enabled
	Upgrade: Socket BGA1168
	L1 Cache Handle: 0x000E
	L2 Cache Handle: 0x000F
	L3 Cache Handle: 0x0010
	Serial Number: NULL
	Asset Tag: To Be Filled By O.E.M
	Part Number: To Be Filled By O.E.M
	Core Count: 2
	Core Enabled: 2
	Thread Count: 4
	Characteristics:
		64-bit capable
		Multi-Core
		Hardware Thread
		Execute Protection
		Enhanced Virtualization
		Power/Performance Control

Handle 0x0012, DMI type 221, 12 bytes
OEM-specific Type
	Header and Data:
		DD 0C 12 00 01 01 00 02 09 01 00 00
	Strings:
		Reference Code - ACPI

Handle 0x0013, DMI type 16, 23 bytes
Physical Memory Array
	Location: System Board Or Motherboard
	Use: System Memory
	Error Correction Type: None
	Maximum Capacity: 16 GB
	Error Information Handle: Not Provided
	Number Of Devices: 2

Handle 0x0014, DMI type 17, 40 bytes
Memory Device
	Array Handle: 0x0013
	Error Information Handle: Not Provided
	Total Width: 64 bits
	Data Width: 64 bits
	Size: 4096 MB
	Form Factor: SODIMM
	Set: None
	Locator: ChannelA-DIMM0
	Bank Locator: BANK 0
	Type: DDR3
	Type Detail: Synchronous
	Speed: 1600 MT/s
	Manufacturer: Micron
	Serial Number: 00000000
	Asset Tag: 9876543210
	Part Number: MT41K512M8RH-125:E
	Rank: 1
	Configured Clock Speed: 1600 MT/s
	Minimum Voltage: Unknown
	Maximum Voltage: Unknown
	Configured Voltage: Unknown

Handle 0x0015, DMI type 17, 40 bytes
Memory Device
	Array Handle: 0x0013
	Error Information Handle: Not Provided
	Total Width: Unknown
	Data Width: Unknown
	Size: No Module Installed
	Form Factor: DIMM
	Set: None
	Locator: ChannelB-DIMM0
	Bank Locator: BANK 2
	Type: Unknown
	Type Detail: None
	Speed: Unknown
	Manufacturer: Not Specified
	Serial Number: Not Specified
	Asset Tag: Not Specified
	Part Number: Not Specified
	Rank: Unknown
	Configured Clock Speed: Unknown
	Minimum Voltage: Unknown
	Maximum Voltage: Unknown
	Configured Voltage: Unknown

Handle 0x0016, DMI type 19, 31 bytes
Memory Array Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x000FFFFFFFF
	Range Size: 4 GB
	Physical Array Handle: 0x0013
	Partition Width: 2

Handle 0x0017, DMI type 20, 35 bytes
Memory Device Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x000FFFFFFFF
	Range Size: 4 GB
	Physical Device Handle: 0x0015
	Memory Array Mapped Address Handle: 0x0016
	Partition Row Position: Unknown
	Interleave Position: Unknown
	Interleaved Data Depth: Unknown

Handle 0x0018, DMI type 221, 54 bytes
OEM-specific Type
	Header and Data:
		DD 36 18 00 07 01 00 02 09 01 00 00 02 00 02 09
		01 00 00 03 00 02 09 01 00 00 04 05 FF FF FF FF
		FF 06 00 FF FF FF 09 00 07 00 FF FF FF 09 00 08
		00 FF FF FF FF FF
	Strings:
		Reference Code - SA - System Agent
		Reference Code - MRC
		SA - PCIe Version
		SA-CRID Status
		Disabled
		SA-CRID Original Value
		SA-CRID New Value
		OPROM - VBIOS

Handle 0x0019, DMI type 221, 26 bytes
OEM-specific Type
	Header and Data:
		DD 1A 19 00 03 01 00 02 09 01 00 00 02 00 FF FF
		FF FF 00 03 04 0A 00 1E 30 04
	Strings:
		Reference Code - ME 10.0
		MEBx version
		ME Firmware Version
		1.5MB SKU

Handle 0x001A, DMI type 221, 68 bytes
OEM-specific Type
	Header and Data:
		DD 44 1A 00 09 01 00 02 09 01 00 00 02 03 FF FF
		FF FF FF 04 00 FF FF FF 03 00 05 00 FF FF FF 03
		00 06 00 FF FF FF FF FF 07 00 19 00 00 00 00 08
		00 2C 00 00 00 00 09 00 03 00 00 00 00 0A 00 01
		00 00 00 00
	Strings:
		Reference Code - PCH - Lynxpoint
		PCH-CRID Status
		Disabled
		PCH-CRID Original Value
		PCH-CRID New Value
		OPROM - RST - RAID
		LPTLp Bx Hsio Version
		LPTH Cx Hsio Version
		PCH9S A0 Hsio Version
		WPTLp B0 Hsio Version

Handle 0x001B, DMI type 221, 26 bytes
OEM-specific Type
	Header and Data:
		DD 1A 1B 00 03 01 00 02 09 01 00 00 02 00 00 00
		00 22 00 03 00 00 05 00 00 00
	Strings:
		Reference Code - CPU
		uCode Version
		TXT ACM version

Handle 0x001C, DMI type 13, 22 bytes
BIOS Language Information
	Language Description Format: Long
	Installable Languages: 1
		en|US|iso8859-1
	Currently Installed Language: en|US|iso8859-1

Handle 0x001D, DMI type 131, 64 bytes
OEM-specific Type
	Header and Data:
		83 40 1D 00 10 00 00 00 00 00 00 00 00 00 00 00
		F8 00 C5 9C 00 00 00 00 01 40 00 00 00 00 0A 00
		30 04 1E 00 00 00 00 00 C8 00 FF FF 00 00 00 00
		00 00 00 00 26 00 00 00 76 50 72 6F 00 00 00 00

Handle 0x001E, DMI type 14, 20 bytes
Group Associations
	Name: Firmware Version Info
	Items: 5
		0x0012 (OEM-specific)
		0x0018 (OEM-specific)
		0x0019 (OEM-specific)
		0x001A (OEM-specific)
		0x001B (OEM-specific)

Handle 0x001F, DMI type 127, 4 bytes
End Of Table

Comment 30 Tomas Winkler 2017-06-08 14:40:57 UTC
(In reply to rockonthemoonfm from comment #29)
> same problem here:
> 
> $ cat /proc/iomem 
> 00000000-00000000 : reserved
> 00000000-00000000 : System RAM
> 00000000-00000000 : reserved
> 00000000-00000000 : System RAM
> 00000000-00000000 : reserved
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : System ROM
> 00000000-00000000 : System RAM
> 00000000-00000000 : System RAM
> 00000000-00000000 : System RAM
> 00000000-00000000 : System RAM
> 00000000-00000000 : System RAM
> 00000000-00000000 : reserved
> 00000000-00000000 : System RAM
> 00000000-00000000 : reserved
> 00000000-00000000 : System RAM
> 00000000-00000000 : ACPI Non-volatile Storage
> 00000000-00000000 : reserved
> 00000000-00000000 : System RAM
> 00000000-00000000 : RAM buffer
> 00000000-00000000 : reserved
>   00000000-00000000 : Graphics Stolen Memory
> 00000000-00000000 : PCI Bus 0000:00
>   00000000-00000000 : pnp 00:06
>   00000000-00000000 : pnp 00:06
>   00000000-00000000 : 0000:00:02.0
>   00000000-00000000 : PCI Bus 0000:03
>     00000000-00000000 : 0000:03:00.0
>       00000000-00000000 : 0000:03:00.0
>   00000000-00000000 : PCI Bus 0000:02
>     00000000-00000000 : 0000:02:00.0
>       00000000-00000000 : r8169
>     00000000-00000000 : 0000:02:00.0
>       00000000-00000000 : r8169
>   00000000-00000000 : 0000:00:14.0
>     00000000-00000000 : xhci-hcd
>   00000000-00000000 : 0000:00:04.0
>   00000000-00000000 : 0000:00:1b.0
>     00000000-00000000 : ICH HD audio
>   00000000-00000000 : 0000:00:03.0
>     00000000-00000000 : ICH HD audio
>   00000000-00000000 : 0000:00:1f.6
>     00000000-00000000 : Intel PCH thermal driver
>   00000000-00000000 : 0000:00:1f.3
>   00000000-00000000 : 0000:00:1f.2
>     00000000-00000000 : ahci
>   00000000-00000000 : 0000:00:1d.0
>     00000000-00000000 : ehci_hcd
>   00000000-00000000 : 0000:00:16.0
>     00000000-00000000 : mei_me
>   00000000-00000000 : 0000:00:02.0
> 00000000-00000000 : PCI MMCONFIG 0000 [bus 00-3f]
>   00000000-00000000 : reserved
>     00000000-00000000 : pnp 00:06
> 00000000-00000000 : PCI Bus 0000:00
> 00000000-00000000 : reserved
>   00000000-00000000 : IOAPIC 0
> 00000000-00000000 : reserved
>   00000000-00000000 : HPET 0
>     00000000-00000000 : PNP0103:00
> 00000000-00000000 : pnp 00:06
> 00000000-00000000 : pnp 00:06
> 00000000-00000000 : pnp 00:06
> 00000000-00000000 : reserved
>   00000000-00000000 : pnp 00:06
>     00000000-00000000 : iTCO_wdt.2.auto
>       00000000-00000000 : iTCO_wdt
> 00000000-00000000 : pnp 00:06
> 00000000-00000000 : MSFT0101:00
> 
> 
> 
> 
> 
> 
> # dmidecode 3.1
> Getting SMBIOS data from sysfs.
> SMBIOS 3.0.0 present.
> Table at 0xA47BE000.
> 
> Handle 0x0000, DMI type 0, 24 bytes
> BIOS Information
> 	Vendor: American Megatrends Inc.
> 	Version: X555LAB.601
> 	Release Date: 05/05/2016
> 	Address: 0xF0000
> 	Runtime Size: 64 kB
> 	ROM Size: 6464 kB
> 	Characteristics:
> 		PCI is supported
> 		BIOS is upgradeable
> 		BIOS shadowing is allowed
> 		Boot from CD is supported
> 		Selectable boot is supported
> 		BIOS ROM is socketed
> 		EDD is supported
> 		5.25"/1.2 MB floppy services are supported (int 13h)
> 		3.5"/720 kB floppy services are supported (int 13h)
> 		3.5"/2.88 MB floppy services are supported (int 13h)
> 		Print screen service is supported (int 5h)
> 		8042 keyboard services are supported (int 9h)
> 		Serial services are supported (int 14h)
> 		Printer services are supported (int 17h)
> 		ACPI is supported
> 		USB legacy is supported
> 		Smart battery is supported
> 		BIOS boot specification is supported
> 		Targeted content distribution is supported
> 		UEFI is supported
> 	BIOS Revision: 5.11
> 
> Handle 0x0001, DMI type 1, 27 bytes
> System Information
> 	Manufacturer: ASUSTeK COMPUTER INC.
> 	Product Name: X555LAB
> 	Version: 1.0       
> 	Serial Number: F5N0CV146974205     
> 	UUID: 1C530B70-F52F-81E4-3439-1CB72C306F6E
> 	Wake-up Type: Power Switch
> 	SKU Number: ASUS-NotebookSKU
> 	Family: X
> 
> Handle 0x0002, DMI type 2, 15 bytes
> Base Board Information
> 	Manufacturer: ASUSTeK COMPUTER INC.
> 	Product Name: X555LAB
> 	Version: 1.0       
> 	Serial Number: BSN12345678901234567
> 	Asset Tag: ATN12345678901234567
> 	Features:
> 		Board is a hosting board
> 		Board is replaceable
> 	Location In Chassis: MIDDLE              
> 	Chassis Handle: 0x0003
> 	Type: Motherboard
> 	Contained Object Handles: 0
> 
> Handle 0x0003, DMI type 3, 22 bytes
> Chassis Information
> 	Manufacturer: ASUSTeK COMPUTER INC.
> 	Type: Notebook
> 	Lock: Not Present
> 	Version: 1.0       
> 	Serial Number: F5N0CV146974205     
> 	Asset Tag: ATN12345678901234567
> 	Boot-up State: Safe
> 	Power Supply State: Safe
> 	Thermal State: Safe
> 	Security Status: None
> 	OEM Information: 0x00000000
> 	Height: Unspecified
> 	Number Of Power Cords: 1
> 	Contained Elements: 0
> 	SKU Number: Default string
> 
> Handle 0x0004, DMI type 10, 26 bytes
> On Board Device 1 Information
> 	Type: Video
> 	Status: Enabled
> 	Description:  VGA
> On Board Device 2 Information
> 	Type: Ethernet
> 	Status: Enabled
> 	Description:  GLAN
> On Board Device 3 Information
> 	Type: Ethernet
> 	Status: Enabled
> 	Description:  WLAN
> On Board Device 4 Information
> 	Type: Sound
> 	Status: Enabled
> 	Description:  Audio CODEC 
> On Board Device 5 Information
> 	Type: SATA Controller
> 	Status: Enabled
> 	Description:  SATA Controller
> On Board Device 6 Information
> 	Type: Other
> 	Status: Enabled
> 	Description:  USB 2.0 Controller
> On Board Device 7 Information
> 	Type: Other
> 	Status: Enabled
> 	Description:  USB 3.0 Controller
> On Board Device 8 Information
> 	Type: Other
> 	Status: Enabled
> 	Description:  SMBus Controller
> On Board Device 9 Information
> 	Type: Other
> 	Status: Enabled
> 	Description:  Card Reader
> On Board Device 10 Information
> 	Type: Other
> 	Status: Enabled
> 	Description:  Cmos Camera
> On Board Device 11 Information
> 	Type: Other
> 	Status: Enabled
> 	Description:  Bluetooth
> 
> Handle 0x0005, DMI type 11, 5 bytes
> OEM Strings
> 	String 1:              
> 	String 2:              
> 	String 3:              
> 	String 4: 90NB0658-M18500
> 	String 5:  
> 	String 6:  
> 	String 7:  
> 	String 8:  
> 	String 9:  
> 	String 10:  
> 
> Handle 0x000C, DMI type 32, 20 bytes
> System Boot Information
> 	Status: No errors detected
> 
> Handle 0x000D, DMI type 7, 19 bytes
> Cache Information
> 	Socket Designation: L1 Cache
> 	Configuration: Enabled, Not Socketed, Level 1
> 	Operational Mode: Write Back
> 	Location: Internal
> 	Installed Size: 32 kB
> 	Maximum Size: 32 kB
> 	Supported SRAM Types:
> 		Synchronous
> 	Installed SRAM Type: Synchronous
> 	Speed: Unknown
> 	Error Correction Type: Parity
> 	System Type: Data
> 	Associativity: 8-way Set-associative
> 
> Handle 0x000E, DMI type 7, 19 bytes
> Cache Information
> 	Socket Designation: L1 Cache
> 	Configuration: Enabled, Not Socketed, Level 1
> 	Operational Mode: Write Back
> 	Location: Internal
> 	Installed Size: 32 kB
> 	Maximum Size: 32 kB
> 	Supported SRAM Types:
> 		Synchronous
> 	Installed SRAM Type: Synchronous
> 	Speed: Unknown
> 	Error Correction Type: Parity
> 	System Type: Instruction
> 	Associativity: 8-way Set-associative
> 
> Handle 0x000F, DMI type 7, 19 bytes
> Cache Information
> 	Socket Designation: L2 Cache
> 	Configuration: Enabled, Not Socketed, Level 2
> 	Operational Mode: Write Back
> 	Location: Internal
> 	Installed Size: 256 kB
> 	Maximum Size: 256 kB
> 	Supported SRAM Types:
> 		Synchronous
> 	Installed SRAM Type: Synchronous
> 	Speed: Unknown
> 	Error Correction Type: Single-bit ECC
> 	System Type: Unified
> 	Associativity: 8-way Set-associative
> 
> Handle 0x0010, DMI type 7, 19 bytes
> Cache Information
> 	Socket Designation: L3 Cache
> 	Configuration: Enabled, Not Socketed, Level 3
> 	Operational Mode: Write Back
> 	Location: Internal
> 	Installed Size: 3072 kB
> 	Maximum Size: 3072 kB
> 	Supported SRAM Types:
> 		Synchronous
> 	Installed SRAM Type: Synchronous
> 	Speed: Unknown
> 	Error Correction Type: Multi-bit ECC
> 	System Type: Unified
> 	Associativity: 12-way Set-associative
> 
> Handle 0x0011, DMI type 4, 42 bytes
> Processor Information
> 	Socket Designation: SOCKET 0
> 	Type: Central Processor
> 	Family: Core i3
> 	Manufacturer: Intel(R) Corporation
> 	ID: D4 06 03 00 FF FB EB BF
> 	Signature: Type 0, Family 6, Model 61, Stepping 4
> 	Flags:
> 		FPU (Floating-point unit on-chip)
> 		VME (Virtual mode extension)
> 		DE (Debugging extension)
> 		PSE (Page size extension)
> 		TSC (Time stamp counter)
> 		MSR (Model specific registers)
> 		PAE (Physical address extension)
> 		MCE (Machine check exception)
> 		CX8 (CMPXCHG8 instruction supported)
> 		APIC (On-chip APIC hardware supported)
> 		SEP (Fast system call)
> 		MTRR (Memory type range registers)
> 		PGE (Page global enable)
> 		MCA (Machine check architecture)
> 		CMOV (Conditional move instruction supported)
> 		PAT (Page attribute table)
> 		PSE-36 (36-bit page size extension)
> 		CLFSH (CLFLUSH instruction supported)
> 		DS (Debug store)
> 		ACPI (ACPI supported)
> 		MMX (MMX technology supported)
> 		FXSR (FXSAVE and FXSTOR instructions supported)
> 		SSE (Streaming SIMD extensions)
> 		SSE2 (Streaming SIMD extensions 2)
> 		SS (Self-snoop)
> 		HTT (Multi-threading)
> 		TM (Thermal monitor supported)
> 		PBE (Pending break enabled)
> 	Version: Intel(R) Core(TM) i3-5005U CPU @ 2.00GHz
> 	Voltage: 0.8 V
> 	External Clock: 100 MHz
> 	Max Speed: 2000 MHz
> 	Current Speed: 2000 MHz
> 	Status: Populated, Enabled
> 	Upgrade: Socket BGA1168
> 	L1 Cache Handle: 0x000E
> 	L2 Cache Handle: 0x000F
> 	L3 Cache Handle: 0x0010
> 	Serial Number: NULL
> 	Asset Tag: To Be Filled By O.E.M
> 	Part Number: To Be Filled By O.E.M
> 	Core Count: 2
> 	Core Enabled: 2
> 	Thread Count: 4
> 	Characteristics:
> 		64-bit capable
> 		Multi-Core
> 		Hardware Thread
> 		Execute Protection
> 		Enhanced Virtualization
> 		Power/Performance Control
> 
> Handle 0x0012, DMI type 221, 12 bytes
> OEM-specific Type
> 	Header and Data:
> 		DD 0C 12 00 01 01 00 02 09 01 00 00
> 	Strings:
> 		Reference Code - ACPI
> 
> Handle 0x0013, DMI type 16, 23 bytes
> Physical Memory Array
> 	Location: System Board Or Motherboard
> 	Use: System Memory
> 	Error Correction Type: None
> 	Maximum Capacity: 16 GB
> 	Error Information Handle: Not Provided
> 	Number Of Devices: 2
> 
> Handle 0x0014, DMI type 17, 40 bytes
> Memory Device
> 	Array Handle: 0x0013
> 	Error Information Handle: Not Provided
> 	Total Width: 64 bits
> 	Data Width: 64 bits
> 	Size: 4096 MB
> 	Form Factor: SODIMM
> 	Set: None
> 	Locator: ChannelA-DIMM0
> 	Bank Locator: BANK 0
> 	Type: DDR3
> 	Type Detail: Synchronous
> 	Speed: 1600 MT/s
> 	Manufacturer: Micron
> 	Serial Number: 00000000
> 	Asset Tag: 9876543210
> 	Part Number: MT41K512M8RH-125:E
> 	Rank: 1
> 	Configured Clock Speed: 1600 MT/s
> 	Minimum Voltage: Unknown
> 	Maximum Voltage: Unknown
> 	Configured Voltage: Unknown
> 
> Handle 0x0015, DMI type 17, 40 bytes
> Memory Device
> 	Array Handle: 0x0013
> 	Error Information Handle: Not Provided
> 	Total Width: Unknown
> 	Data Width: Unknown
> 	Size: No Module Installed
> 	Form Factor: DIMM
> 	Set: None
> 	Locator: ChannelB-DIMM0
> 	Bank Locator: BANK 2
> 	Type: Unknown
> 	Type Detail: None
> 	Speed: Unknown
> 	Manufacturer: Not Specified
> 	Serial Number: Not Specified
> 	Asset Tag: Not Specified
> 	Part Number: Not Specified
> 	Rank: Unknown
> 	Configured Clock Speed: Unknown
> 	Minimum Voltage: Unknown
> 	Maximum Voltage: Unknown
> 	Configured Voltage: Unknown
> 
> Handle 0x0016, DMI type 19, 31 bytes
> Memory Array Mapped Address
> 	Starting Address: 0x00000000000
> 	Ending Address: 0x000FFFFFFFF
> 	Range Size: 4 GB
> 	Physical Array Handle: 0x0013
> 	Partition Width: 2
> 
> Handle 0x0017, DMI type 20, 35 bytes
> Memory Device Mapped Address
> 	Starting Address: 0x00000000000
> 	Ending Address: 0x000FFFFFFFF
> 	Range Size: 4 GB
> 	Physical Device Handle: 0x0015
> 	Memory Array Mapped Address Handle: 0x0016
> 	Partition Row Position: Unknown
> 	Interleave Position: Unknown
> 	Interleaved Data Depth: Unknown
> 
> Handle 0x0018, DMI type 221, 54 bytes
> OEM-specific Type
> 	Header and Data:
> 		DD 36 18 00 07 01 00 02 09 01 00 00 02 00 02 09
> 		01 00 00 03 00 02 09 01 00 00 04 05 FF FF FF FF
> 		FF 06 00 FF FF FF 09 00 07 00 FF FF FF 09 00 08
> 		00 FF FF FF FF FF
> 	Strings:
> 		Reference Code - SA - System Agent
> 		Reference Code - MRC
> 		SA - PCIe Version
> 		SA-CRID Status
> 		Disabled
> 		SA-CRID Original Value
> 		SA-CRID New Value
> 		OPROM - VBIOS
> 
> Handle 0x0019, DMI type 221, 26 bytes
> OEM-specific Type
> 	Header and Data:
> 		DD 1A 19 00 03 01 00 02 09 01 00 00 02 00 FF FF
> 		FF FF 00 03 04 0A 00 1E 30 04
> 	Strings:
> 		Reference Code - ME 10.0
> 		MEBx version
> 		ME Firmware Version
> 		1.5MB SKU
> 
> Handle 0x001A, DMI type 221, 68 bytes
> OEM-specific Type
> 	Header and Data:
> 		DD 44 1A 00 09 01 00 02 09 01 00 00 02 03 FF FF
> 		FF FF FF 04 00 FF FF FF 03 00 05 00 FF FF FF 03
> 		00 06 00 FF FF FF FF FF 07 00 19 00 00 00 00 08
> 		00 2C 00 00 00 00 09 00 03 00 00 00 00 0A 00 01
> 		00 00 00 00
> 	Strings:
> 		Reference Code - PCH - Lynxpoint
> 		PCH-CRID Status
> 		Disabled
> 		PCH-CRID Original Value
> 		PCH-CRID New Value
> 		OPROM - RST - RAID
> 		LPTLp Bx Hsio Version
> 		LPTH Cx Hsio Version
> 		PCH9S A0 Hsio Version
> 		WPTLp B0 Hsio Version
> 
> Handle 0x001B, DMI type 221, 26 bytes
> OEM-specific Type
> 	Header and Data:
> 		DD 1A 1B 00 03 01 00 02 09 01 00 00 02 00 00 00
> 		00 22 00 03 00 00 05 00 00 00
> 	Strings:
> 		Reference Code - CPU
> 		uCode Version
> 		TXT ACM version
> 
> Handle 0x001C, DMI type 13, 22 bytes
> BIOS Language Information
> 	Language Description Format: Long
> 	Installable Languages: 1
> 		en|US|iso8859-1
> 	Currently Installed Language: en|US|iso8859-1
> 
> Handle 0x001D, DMI type 131, 64 bytes
> OEM-specific Type
> 	Header and Data:
> 		83 40 1D 00 10 00 00 00 00 00 00 00 00 00 00 00
> 		F8 00 C5 9C 00 00 00 00 01 40 00 00 00 00 0A 00
> 		30 04 1E 00 00 00 00 00 C8 00 FF FF 00 00 00 00
> 		00 00 00 00 26 00 00 00 76 50 72 6F 00 00 00 00
> 
> Handle 0x001E, DMI type 14, 20 bytes
> Group Associations
> 	Name: Firmware Version Info
> 	Items: 5
> 		0x0012 (OEM-specific)
> 		0x0018 (OEM-specific)
> 		0x0019 (OEM-specific)
> 		0x001A (OEM-specific)
> 		0x001B (OEM-specific)
> 
> Handle 0x001F, DMI type 127, 4 bytes
> End Of Table

You have to run this command as root or via sudo otherwise we see just zeros

Comment 31 Jörn Heissler 2017-07-12 22:19:24 UTC
Acer TravelMate P459-G2-M, Bios 1.03, Linux-4.12

[    0.000000] ACPI: TPM2 0x000000008AEF9000 000034 (v03 ACRSYS ACRPRDCT 00000002 1025 00040000)
[    1.249215] ima: No TPM chip found, activating TPM-bypass! (rc=-19)
[    9.856140] tpm_crb MSFT0101:00: can't request region for resource [mem 0x8ae47000-0x8ae4702f]
[    9.856148] tpm_crb: probe of MSFT0101:00 failed with error -16

Will attach output from /proc/iomem and dmidecode.

Comment 32 Jörn Heissler 2017-07-12 22:21:35 UTC
Created attachment 1297293 [details]
acer-p459-g2-m-iomem

Comment 33 Jörn Heissler 2017-07-12 22:24:33 UTC
Created attachment 1297294 [details]
acer-p459-g2-m-dmidecode

Comment 34 Xi Han 2017-11-02 21:40:35 UTC
This patch solved the same problem for me on a Dell Inspiron.

https://patchwork.kernel.org/patch/9585671/

Comment 35 Fedora End Of Life 2017-11-16 19:16:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 36 Fedora End Of Life 2017-12-12 10:32:52 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 37 JOduMonT 2018-04-02 07:21:08 UTC
It took me a while to understand why this bug was close...
So even Fedora version 25 is not supported anymore the bug persist

For me it make no sense to close a bug just because the team hold it so long then it expire.

Sorry but the bug seams still there, at least for me

### Fedora 27
I'm using Fedora 27 on Asus UX305UA
...I'm pretty sure I saw it with Rawhide too but that's another story...

cat /etc/redhat-release 
Fedora release 27 (Twenty Seven)

### The error
The error/message still appear at every boot

dmesg | grep -i tpm
[    0.000000] ACPI: TPM2 0x0000000086D704C0 000034 (v03        Tpm2Tabl 00000001 AMI  00000000)
[   11.251637] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80
[   11.252425] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80

### What I expect
I would like a clear answer like the solution is here (with a link)

### Others
cat /proc/iomem
00000000-00000000 : Reserved
00000000-00000000 : System RAM
00000000-00000000 : Reserved
00000000-00000000 : System RAM
00000000-00000000 : Reserved
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : System ROM
00000000-00000000 : System RAM
00000000-00000000 : ACPI Non-volatile Storage
00000000-00000000 : Reserved
00000000-00000000 : System RAM
00000000-00000000 : Reserved
00000000-00000000 : System RAM
00000000-00000000 : Reserved
00000000-00000000 : System RAM
00000000-00000000 : ACPI Non-volatile Storage
00000000-00000000 : Reserved
00000000-00000000 : System RAM
00000000-00000000 : RAM buffer
00000000-00000000 : Reserved
00000000-00000000 : Reserved
  00000000-00000000 : Graphics Stolen Memory
00000000-00000000 : PCI Bus 0000:00
  00000000-00000000 : 0000:00:02.0
  00000000-00000000 : PCI Bus 0000:01
  00000000-00000000 : 0000:00:02.0
  00000000-00000000 : PCI Bus 0000:01
  00000000-00000000 : PCI Bus 0000:02
    00000000-00000000 : 0000:02:00.0
      00000000-00000000 : iwlwifi
  00000000-00000000 : 0000:00:1f.3
    00000000-00000000 : ICH HD audio
  00000000-00000000 : 0000:00:14.0
    00000000-00000000 : xhci-hcd
  00000000-00000000 : 0000:00:04.0
  00000000-00000000 : 0000:00:1f.3
    00000000-00000000 : ICH HD audio
  00000000-00000000 : 0000:00:1f.2
  00000000-00000000 : 0000:00:17.0
    00000000-00000000 : ahci
  00000000-00000000 : 0000:00:1f.4
  00000000-00000000 : 0000:00:17.0
    00000000-00000000 : ahci
  00000000-00000000 : 0000:00:17.0
    00000000-00000000 : ahci
  00000000-00000000 : 0000:00:16.0
    00000000-00000000 : mei_me
  00000000-00000000 : 0000:00:15.1
    00000000-00000000 : lpss_dev
      00000000-00000000 : lpss_dev
    00000000-00000000 : lpss_priv
    00000000-00000000 : idma64.1
      00000000-00000000 : idma64.1
  00000000-00000000 : 0000:00:15.0
    00000000-00000000 : lpss_dev
      00000000-00000000 : lpss_dev
    00000000-00000000 : lpss_priv
    00000000-00000000 : idma64.0
      00000000-00000000 : idma64.0
  00000000-00000000 : 0000:00:14.2
    00000000-00000000 : Intel PCH thermal driver
  00000000-00000000 : pnp 00:05
00000000-00000000 : PCI MMCONFIG 0000 [bus 00-ff]
  00000000-00000000 : Reserved
    00000000-00000000 : pnp 00:05
00000000-00000000 : PCI Bus 0000:00
  00000000-00000000 : pnp 00:06
  00000000-00000000 : pnp 00:08
  00000000-00000000 : pnp 00:06
  00000000-00000000 : pnp 00:08
  00000000-00000000 : pnp 00:08
  00000000-00000000 : pnp 00:06
    00000000-00000000 : iTCO_wdt
      00000000-00000000 : iTCO_wdt
  00000000-00000000 : Reserved
  00000000-00000000 : pnp 00:06
  00000000-00000000 : pnp 00:06
  00000000-00000000 : pnp 00:06
00000000-00000000 : Reserved
  00000000-00000000 : IOAPIC 0
00000000-00000000 : HPET 0
  00000000-00000000 : PNP0103:00
00000000-00000000 : pnp 00:05
00000000-00000000 : pnp 00:05
00000000-00000000 : pnp 00:05
00000000-00000000 : pnp 00:05
00000000-00000000 : MSFT0101:00
  00000000-00000000 : MSFT0101:00
00000000-00000000 : pnp 00:05
00000000-00000000 : dmar0
00000000-00000000 : dmar1
00000000-00000000 : Local APIC
  00000000-00000000 : Reserved
00000000-00000000 : Reserved
  00000000-00000000 : INT0800:00
    00000000-00000000 : pnp 00:05
00000000-00000000 : System RAM
  00000000-00000000 : Kernel code
  00000000-00000000 : Kernel data
  00000000-00000000 : Kernel bss

Comment 38 Robert Hancock 2018-04-03 01:45:45 UTC
JOduMonT: Those errors are not the same issue as this bug was originally dealing with. The problem was caused by a BIOS bug, which previously prevented the TPM from functioning. The error output is still valid.

Comment 39 can 2018-07-08 12:09:53 UTC
Seeing the same issue with asus x556u

fedora 28 kernel 4.17.3

Everutime system boots I get the following message:

tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80

will this problem be resolved?

Comment 40 can 2018-07-08 12:12:56 UTC
tpm_crb Should I add to the blacklist?

Comment 41 Tomas Winkler 2018-07-08 12:17:26 UTC
(In reply to can from comment #39)
> Seeing the same issue with asus x556u
> 
> fedora 28 kernel 4.17.3
> 
> Everutime system boots I get the following message:
> 
> tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire
> command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080
> f80
> 
> will this problem be resolved?


Try to update BIOS and if this still appears try ask ASUS to fix their BIOS.
The driver itself should take care of that.

Comment 42 Tomas Winkler 2018-07-08 12:18:31 UTC
(In reply to can from comment #40)
> tpm_crb Should I add to the blacklist?

if you don't use TPM you can blacklist the driver.

Comment 43 can 2018-07-08 13:18:16 UTC
(In reply to Tomas Winkler from comment #41)
> (In reply to can from comment #39)
> > Seeing the same issue with asus x556u
> > 
> > fedora 28 kernel 4.17.3
> > 
> > Everutime system boots I get the following message:
> > 
> > tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire
> > command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080
> > f80
> > 
> > will this problem be resolved?
> 
> 
> Try to update BIOS and if this still appears try ask ASUS to fix their BIOS.
> The driver itself should take care of that.

thanks for the answer.
I updated the BIOS. problem not solved. I still get this log message.What do you suggest I do?

Comment 44 Tomas Winkler 2018-07-08 13:45:23 UTC
(In reply to can from comment #43)
> (In reply to Tomas Winkler from comment #41)
> > (In reply to can from comment #39)
> > > Seeing the same issue with asus x556u
> > > 
> > > fedora 28 kernel 4.17.3
> > > 
> > > Everutime system boots I get the following message:
> > > 
> > > tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire
> > > command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080
> > > f80
> > > 
> > > will this problem be resolved?
> > 
> > 
> > Try to update BIOS and if this still appears try ask ASUS to fix their BIOS.
> > The driver itself should take care of that.
> 
> thanks for the answer.
> I updated the BIOS. problem not solved. I still get this log message.What do
> you suggest I do?

As I wrote before you can ask ASUS to fix the issue, I'm not sure but I guess the ASUS took sameple BIOS from Intel where the bug was ininitated. Intel has fixed the issue in the NUCs but this propbably was not progpated to ASUS. 
I persnally don't have visibility or how this chain works, this is just my personal guess.

Comment 45 Soeren Grunewald 2019-03-12 10:24:58 UTC
Issue still persists with Kernel 5.0.1:

$ dmesg | egrep 'tpm|Linux version|DMI:|ACPI'
[    0.000000] Linux version 5.0.1-300.fc29.x86_64 (mockbuild@bkernel04.phx2.fedoraproject.org) (gcc version 8.3.1 20190223 (Red Hat 8.3.1-2) (GCC)) #1 SMP Tue Mar 12 05:53:27 UTC 2019
[    0.000000] BIOS-e820: [mem 0x000000000a200000-0x000000000a209fff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000dd5fb000-0x00000000dda42fff] ACPI NVS
[    0.000000] DMI: Micro-Star International Co., Ltd. MS-7A34/B350 PC MATE (MS-7A34), BIOS A.J0 01/23/2019
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000000000F05B0 000024 (v02 ALASKA)
[    0.000000] ACPI: XSDT 0x00000000DD98A098 0000B4 (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: FACP 0x00000000DD9923F8 000114 (v06 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI BIOS Warning (bug): Optional FADT field Pm2ControlBlock has valid Length but zero Address: 0x0000000000000000/0x1 (20181213/tbfadt-624)
[    0.000000] ACPI: DSDT 0x00000000DD98A1E8 00820E (v02 ALASKA A M I    01072009 INTL 20120913)
[    0.000000] ACPI: FACS 0x00000000DD9F3D80 000040
[    0.000000] ACPI: APIC 0x00000000DD992510 0000DE (v03 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: FPDT 0x00000000DD9925F0 000044 (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: FIDT 0x00000000DD992638 00009C (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: SSDT 0x00000000DD9926D8 008C98 (v02 AMD    AMD ALIB 00000002 MSFT 04000000)
[    0.000000] ACPI: SSDT 0x00000000DD99B370 001A58 (v01 AMD    AMD CPU  00000001 AMD  00000001)
[    0.000000] ACPI: CRAT 0x00000000DD99CDC8 000BD0 (v01 AMD    AMD CRAT 00000001 AMD  00000001)
[    0.000000] ACPI: CDIT 0x00000000DD99D998 000029 (v01 AMD    AMD CDIT 00000001 AMD  00000001)
[    0.000000] ACPI: SSDT 0x00000000DD99D9C8 002D92 (v01 AMD    AMD AOD  00000001 INTL 20120913)
[    0.000000] ACPI: MCFG 0x00000000DD9A0760 00003C (v01 ALASKA A M I    01072009 MSFT 00010013)
[    0.000000] ACPI: HPET 0x00000000DD9A07A0 000038 (v01 ALASKA A M I    01072009 AMI  00000005)
[    0.000000] ACPI: SSDT 0x00000000DD9A07D8 000024 (v01 AMDFCH FCHZP    00001000 INTL 20120913)
[    0.000000] ACPI: UEFI 0x00000000DD9A0800 000048 (v01                 00000000      00000000)
[    0.000000] ACPI: TPM2 0x00000000DD9A0848 000034 (v04 ALASKA A M I    00000001 AMI  00000000)
[    0.000000] ACPI: IVRS 0x00000000DD9A0880 0000D0 (v02 AMD    AMD IVRS 00000001 AMD  00000000)
[    0.000000] ACPI: SSDT 0x00000000DD9A0950 001B4E (v01 AMD    AmdTable 00000001 INTL 20120913)
[    0.000000] ACPI: SSDT 0x00000000DD9A24A0 0000BF (v01 AMD    AMD PT   00001000 INTL 20120913)
[    0.000000] ACPI: WSMT 0x00000000DD9A2560 000028 (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: PM-Timer IO Port: 0x808
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0xff] high edge lint[0x1])
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 low level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x10228201 base: 0xfed00000
[    0.000000] ACPI: Core revision 20181213
[    0.021574] PM: Registering ACPI NVS region [mem 0x0a200000-0x0a209fff] (40960 bytes)
[    0.021574] PM: Registering ACPI NVS region [mem 0xdd5fb000-0xdda42fff] (4489216 bytes)
[    0.022165] ACPI: bus type PCI registered
[    0.022165] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.023561] ACPI: Added _OSI(Module Device)
[    0.023561] ACPI: Added _OSI(Processor Device)
[    0.023561] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.023561] ACPI: Added _OSI(Processor Aggregator Device)
[    0.023561] ACPI: Added _OSI(Linux-Dell-Video)
[    0.023561] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[    0.023561] ACPI: Added _OSI(Linux-HPI-Hybrid-Graphics)
[    0.029658] ACPI: 7 ACPI AML tables successfully acquired and loaded
[    0.030752] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[    0.032620] ACPI: Interpreter enabled
[    0.032632] ACPI: (supports S0 S3 S4 S5)
[    0.032633] ACPI: Using IOAPIC for interrupt routing
[    0.032855] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.033096] ACPI: Enabled 2 GPEs in block 00 to 1F
[    0.038850] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.049006] ACPI: PCI Interrupt Link [LNKA] (IRQs 4 5 7 10 11 14 15) *0
[    0.049006] ACPI: PCI Interrupt Link [LNKB] (IRQs 4 5 7 10 11 14 15) *0
[    0.049006] ACPI: PCI Interrupt Link [LNKC] (IRQs 4 5 7 10 11 14 15) *0
[    0.049006] ACPI: PCI Interrupt Link [LNKD] (IRQs 4 5 7 10 11 14 15) *0
[    0.049006] ACPI: PCI Interrupt Link [LNKE] (IRQs 4 5 7 10 11 14 15) *0
[    0.049006] ACPI: PCI Interrupt Link [LNKF] (IRQs 4 5 7 10 11 14 15) *0
[    0.049006] ACPI: PCI Interrupt Link [LNKG] (IRQs 4 5 7 10 11 14 15) *0
[    0.049036] ACPI: PCI Interrupt Link [LNKH] (IRQs 4 5 7 10 11 14 15) *0
[    0.050108] ACPI: bus type USB registered
[    0.050112] PCI: Using ACPI for IRQ routing
[    0.064913] pnp: PnP ACPI init
[    0.065016] system 00:00: Plug and Play ACPI device, IDs PNP0c01 (active)
[    0.065074] pnp 00:01: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.065217] system 00:02: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.065319] pnp 00:03: Plug and Play ACPI device, IDs PNP0303 PNP030b (active)
[    0.065567] system 00:04: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.065861] pnp: PnP ACPI: found 5 devices
[    0.507690] ACPI: Power Button [PWRB]
[    0.507745] ACPI: Power Button [PWRF]
[    0.507786] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.507851] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.507912] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.507969] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.508027] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.508096] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.508181] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.508264] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.508357] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.508440] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.508518] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.508599] [Firmware Bug]: ACPI MWAIT C-state 0x0 not supported by HW (0x0)
[    0.510275] tpm_crb MSFT0101:00: can't request region for resource [mem 0xdda28000-0xdda28fff]
[    0.510277] tpm_crb: probe of MSFT0101:00 failed with error -16
[    2.811450] Ignoring ACPI CRAT on non-APU system

$ cat /proc/iomem
00000000-00000000 : Reserved
00000000-00000000 : System RAM
00000000-00000000 : Reserved
00000000-00000000 : PCI Bus 0000:00
00000000-00000000 : PCI Bus 0000:00
  00000000-00000000 : Video ROM
00000000-00000000 : Reserved
  00000000-00000000 : System ROM
00000000-00000000 : System RAM
00000000-00000000 : Reserved
00000000-00000000 : System RAM
00000000-00000000 : ACPI Non-volatile Storage
00000000-00000000 : System RAM
00000000-00000000 : Reserved
00000000-00000000 : System RAM
00000000-00000000 : Reserved
00000000-00000000 : System RAM
00000000-00000000 : ACPI Non-volatile Storage
  00000000-00000000 : MSFT0101:00
  00000000-00000000 : MSFT0101:00
00000000-00000000 : Reserved
00000000-00000000 : System RAM
00000000-00000000 : Reserved
00000000-00000000 : PCI Bus 0000:00
  00000000-00000000 : PCI Bus 0000:1c
    00000000-00000000 : 0000:1c:00.0
    00000000-00000000 : 0000:1c:00.0
  00000000-00000000 : PCI MMCONFIG 0000 [bus 00-3f]
    00000000-00000000 : Reserved
      00000000-00000000 : pnp 00:00
  00000000-00000000 : Reserved
  00000000-00000000 : PCI Bus 0000:1d
    00000000-00000000 : 0000:1d:00.3
      00000000-00000000 : xhci-hcd
    00000000-00000000 : 0000:1d:00.2
      00000000-00000000 : ccp
    00000000-00000000 : 0000:1d:00.2
      00000000-00000000 : ccp
  00000000-00000000 : PCI Bus 0000:03
    00000000-00000000 : PCI Bus 0000:16
      00000000-00000000 : PCI Bus 0000:19
        00000000-00000000 : 0000:19:00.0
        00000000-00000000 : 0000:19:00.0
          00000000-00000000 : r8169
    00000000-00000000 : 0000:03:00.1
    00000000-00000000 : 0000:03:00.1
      00000000-00000000 : ahci
    00000000-00000000 : 0000:03:00.0
      00000000-00000000 : xhci-hcd
  00000000-00000000 : PCI Bus 0000:1e
    00000000-00000000 : 0000:1e:00.3
      00000000-00000000 : ICH HD audio
    00000000-00000000 : 0000:1e:00.2
      00000000-00000000 : ahci
  00000000-00000000 : PCI Bus 0000:1c
    00000000-00000000 : 0000:1c:00.0
    00000000-00000000 : 0000:1c:00.1
      00000000-00000000 : ICH HD audio
  00000000-00000000 : Reserved
  00000000-00000000 : Reserved
    00000000-00000000 : amd_iommu
    00000000-00000000 : IOAPIC 0
    00000000-00000000 : IOAPIC 1
  00000000-00000000 : Reserved
    00000000-00000000 : pnp 00:04
00000000-00000000 : Reserved
  00000000-00000000 : AMDIF030:00
    00000000-00000000 : AMDIF030:00
00000000-00000000 : Reserved
  00000000-00000000 : HPET 0
    00000000-00000000 : PNP0103:00
00000000-00000000 : Reserved
00000000-00000000 : Reserved
  00000000-00000000 : AMDI0030:00
00000000-00000000 : pnp 00:04
00000000-00000000 : Reserved
00000000-00000000 : Reserved
00000000-00000000 : PCI Bus 0000:00
  00000000-00000000 : Reserved
    00000000-00000000 : Local APIC
      00000000-00000000 : pnp 00:04
  00000000-00000000 : Reserved
    00000000-00000000 : pnp 00:04
00000000-00000000 : System RAM
  00000000-00000000 : Kernel code
  00000000-00000000 : Kernel data
  00000000-00000000 : Kernel bss
00000000-00000000 : RAM buffer

Comment 46 gobbledegeek 2019-03-27 08:26:13 UTC
This error message has disappeared in F29  5.0.3-200.fc29.x86_64 #1. Until now I beleived this was a reason for TPM chip not being available, However I am still unable to use the fTPM in a ryzen 2400G. Boot logs this:
 ima: No TPM chip found, activating TPM-bypass!
or when I try to start Trousers: 
 TCSD TDDL[10054]: TrouSerS ERROR: Could not find a device to open!

It looks like fTPMs are not supported outside of UEFI menu in Linux? On the same Win10 dual-boot machine I am able to use login PIN which I believe uses the fTPM.
I want to turn on secure boot and also learn & practice  the TPM stuff  for a dual boot machine but this is a blocker. It means I cant secure my machine with one more ring or layer of security - unless I buy a regular TPM2 chip.

G

Comment 47 gobbledegeek 2019-04-03 10:33:08 UTC
My bad, the TPM was disabled when UEFI got reset hence the error message vanished. I still see the error logged in F29.

G

Comment 48 Luya Tshimbalanga 2019-06-04 14:26:35 UTC
Reopening the bug report as it affect all releases and majority of laptops.

Comment 49 can 2019-06-04 14:33:27 UTC
Please solve this problem

Comment 50 gobbledegeek 2019-07-02 11:17:23 UTC
FYI this error message is finally gone on F40 UEFI of Gigabyte for AB-350M-D3H mobo. I also see /dev/tpm0 devices created now unlike before:

crw-rw-rw-. 1 tss root  10,   224 Jul  2 16:33 /dev/tpm0
crw-rw----. 1 tss tss  253, 65536 Jul  2 16:33 /dev/tpmrm0


Yet to  actually use the TPM device though. 

G

Comment 51 can 2019-07-02 13:50:57 UTC
(In reply to gobbledegeek from comment #50)
> FYI this error message is finally gone on F40 UEFI of Gigabyte for
> AB-350M-D3H mobo. I also see /dev/tpm0 devices created now unlike before:
> 
> crw-rw-rw-. 1 tss root  10,   224 Jul  2 16:33 /dev/tpm0
> crw-rw----. 1 tss tss  253, 65536 Jul  2 16:33 /dev/tpmrm0
> 
> 
> Yet to  actually use the TPM device though. 
> 
> G

which distribution. which kernel do you use

Comment 52 gobbledegeek 2019-07-03 06:20:02 UTC
Hi

Fedora 30  5.1.15-300.fc30.x86_64 #1 SMP Tue Jun 25 14:07:22 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

However please note - this is supposed to be a UEFI bug not a kernel one. I saw a thread somewhere explaining this online.

G

Comment 53 gobbledegeek 2019-07-07 06:47:50 UTC
FWIW Mine is a dual-boot machine and Win 10 on it was always able to use PIN in place of passwords which uses  the TPM (see: https://docs.microsoft.com/en-us/windows/security/identity-protection/hello-for-business/hello-why-pin-is-better-than-password). i.e Even before the UEFI was fixed to mitigate the bug. 

So a question for the Linux kernel team - how does Windows manage to use the TPM when the UEFI bug is present? Cant the same method be used to workaround the issue for the Linux users with still buggy UEFI?

G

Comment 54 Tomas Winkler 2019-07-07 08:32:27 UTC
(In reply to gobbledegeek from comment #53)
> FWIW Mine is a dual-boot machine and Win 10 on it was always able to use PIN
> in place of passwords which uses  the TPM (see:
> https://docs.microsoft.com/en-us/windows/security/identity-protection/hello-
> for-business/hello-why-pin-is-better-than-password). i.e Even before the
> UEFI was fixed to mitigate the bug. 

You cannot use TPM on dual boot machine for both OSes, TPM has only one owner.


> So a question for the Linux kernel team - how does Windows manage to use the
> TPM when the UEFI bug is present? Cant the same method be used to workaround
> the issue for the Linux users with still buggy UEFI?

Windows just always reserve 0xfed40000 address for TPM as it is the requirement by the spec, it doesn't depend on the BIOS. 
There  was a bug in Intel's reference BIOS, the rest you can imagine.

Comment 55 can 2019-07-08 19:46:50 UTC
Is the problem solved if i delete windows 10

Comment 56 Justin M. Forbes 2019-08-20 17:36:41 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.2.9-200.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 57 can 2019-08-22 01:45:30 UTC
fedora 30 kernel 5.2.9

problem not solved. I get the same error

Comment 58 Thomas Moschny 2019-09-03 18:43:22 UTC
Same problem with ASUS B450-Plus (newest BIOS)

Fedora 30, kernel 5.2.9-200.fc30.x86_64

kernel: ACPI: TPM2 0x00000000D17B6FD8 000034 (v03 ALASKA A M I    00000001 AMI  00000000)
kernel: tpm_crb MSFT0101:00: can't request region for resource [mem 0xda76a000-0xda76dfff]
kernel: tpm_crb: probe of MSFT0101:00 failed with error -16
kernel: ima: No TPM chip found, activating TPM-bypass!

Comment 59 Tomas Winkler 2019-09-03 19:32:37 UTC
(In reply to Thomas Moschny from comment #58)
> Same problem with ASUS B450-Plus (newest BIOS)
> 
> Fedora 30, kernel 5.2.9-200.fc30.x86_64
> 
> kernel: ACPI: TPM2 0x00000000D17B6FD8 000034 (v03 ALASKA A M I    00000001
> AMI  00000000)
> kernel: tpm_crb MSFT0101:00: can't request region for resource [mem
> 0xda76a000-0xda76dfff]
> kernel: tpm_crb: probe of MSFT0101:00 failed with error -16
> kernel: ima: No TPM chip found, activating TPM-bypass!

What kind of platform is that? Can you provide the  dmidocde dump?
Is this AMD or Intel based system? This 0xda76a000 is a bit odd address?

Comment 60 Thomas Moschny 2019-09-03 20:08:07 UTC
Created attachment 1611278 [details]
dmidecode output

Comment 61 Thomas Moschny 2019-09-03 20:11:12 UTC
Created attachment 1611279 [details]
iomem

Comment 62 Tomas Winkler 2019-09-03 20:32:00 UTC
(In reply to Thomas Moschny from comment #60)
> Created attachment 1611278 [details]
> dmidecode output

This is an AMD system, this strange CRB mapping is just being worked out, you can find the discussion here  https://patchwork.kernel.org/patch/11123655/.
I do not have any internal knowledge about the this fTPM implementation, this issue was originally opened on Intel's implementation issue, I'm not sure if we don't need to open another bug for this one.
You may also consult ASUS as for BIOS setting  and AMD for fTPM.

Comment 63 Thomas Moschny 2019-09-04 06:56:31 UTC
(In reply to Tomas Winkler from comment #62)
> I'm not sure if we don't need to open another bug for this one.

Do I understand that correctly I should open a new bug?

Sorry, didn't intent to hijack this ticket, the problem just looked similar (to me).

Comment 64 Tomas Winkler 2019-09-04 08:56:15 UTC
(In reply to Thomas Moschny from comment #63)
> (In reply to Tomas Winkler from comment #62)
> > I'm not sure if we don't need to open another bug for this one.
> 
> Do I understand that correctly I should open a new bug?

Right, need to open a specific issue for AMD Ryzen fTPM implementation. 
> 
> Sorry, didn't intent to hijack this ticket, the problem just looked similar
> (to me).
That's alright, we needed to find out the setup differences, the symptoms are really similar.

Comment 65 gobbledegeek 2019-09-05 07:23:13 UTC
If I understood correctly - in the https://patchwork.kernel.org/patch/11123655/ thread,  the folks are trying a workaround to deal with a known problem with what is actually a UEFI implementation issue?
 
In case it helps - A note for the end-users reporting issues here - Did you folks also report this issue to your motherboard vendor support? Well I did report to Gigabyte  as soon as I found the thread describing why this was a UEFI bug and not Linux kernel one. And I did some back-and-forth communication when their  Support staff tried to push back saying its a Linux problem - I reminded them that the Linux kernel team should be considered authoritative when they say the bug is a result of UEFI implementation issue. Some eight months later the problem was fixed in a UEFI update for my mobo. At least the error message vanished and /dev/tpm* is created - I have been to busy to actually try and use the TPM on my Linux.

Never give up hope :)

Cheers
G

Comment 66 Rick Elrod 2019-11-14 19:27:06 UTC
(In reply to Tomas Winkler from comment #64)
> (In reply to Thomas Moschny from comment #63)
> > (In reply to Tomas Winkler from comment #62)
> > > I'm not sure if we don't need to open another bug for this one.
> > 
> > Do I understand that correctly I should open a new bug?
> 
> Right, need to open a specific issue for AMD Ryzen fTPM implementation. 


Was this bug ever filed? I'm hitting this as well and wondering what the next steps might be.

Comment 67 Tomas Winkler 2019-11-16 12:05:59 UTC
(In reply to Rick Elrod from comment #66)
> (In reply to Tomas Winkler from comment #64)
> > (In reply to Thomas Moschny from comment #63)
> > > (In reply to Tomas Winkler from comment #62)
> > > > I'm not sure if we don't need to open another bug for this one.
> > > 
> > > Do I understand that correctly I should open a new bug?
> > 
> > Right, need to open a specific issue for AMD Ryzen fTPM implementation. 
> 
> 
> Was this bug ever filed? I'm hitting this as well and wondering what the
> next steps might be.

I believe it was fixed, here is the kernel bug: 
https://bugzilla.kernel.org/show_bug.cgi?id=195657

commit 3ef193822b25e9ee629974f66dc1ff65167f770c
Author: Ivan Lazeev <ivan.lazeev@gmail.com>
Date:   Wed Oct 16 21:28:14 2019 +0300

    tpm_crb: fix fTPM on AMD Zen+ CPUs

    Bug link: https://bugzilla.kernel.org/show_bug.cgi?id=195657

    cmd/rsp buffers are expected to be in the same ACPI region.
    For Zen+ CPUs BIOS's might report two different regions, some of
    them also report region sizes inconsistent with values from TPM
    registers.

Comment 68 Thomas Moschny 2019-11-16 13:10:23 UTC
(In reply to Rick Elrod from comment #66)
> (In reply to Tomas Winkler from comment #64)
> > (In reply to Thomas Moschny from comment #63)
> > > (In reply to Tomas Winkler from comment #62)
> > > > I'm not sure if we don't need to open another bug for this one.
> > > 
> > > Do I understand that correctly I should open a new bug?
> > 
> > Right, need to open a specific issue for AMD Ryzen fTPM implementation. 
> 
> 
> Was this bug ever filed? I'm hitting this as well and wondering what the
> next steps might be.

Problem is still present. Filed bug 1773200.

Comment 69 Justin M. Forbes 2020-03-03 16:28:24 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.5.7-100.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 70 Justin M. Forbes 2020-03-25 22:31:18 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.